Package org.eclipse.m2m.atl.dsls.tcs.injector

# Class ATL_ANTLR3Parser

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Parser
org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser

public class ATL_ANTLR3Parser extends org.antlr.runtime.Parser

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALPHA`
`static final int`
`AROBAS`
`static final int`
`ASSIGNARROW`
`static final int`
`COLON`
`static final int`
`COMA`
`static final int`
`COMMENT`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA108`
`dfa108`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA109`
`dfa109`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA130`
`dfa130`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA67`
`dfa67`
`static final int`
`DIGIT`
`TCSRuntime`
`ei`
`static final int`
`EOF`
`static final int`
`EQ`
`static final int`
`ESC`
`static final int`
`EXCL`
`static final int`
`FLOAT`
`static final org.antlr.runtime.BitSet`
`FOLLOW_100_in_identifierOrKeyword422`
`static final org.antlr.runtime.BitSet`
`FOLLOW_100_in_priority_55966`
`static final org.antlr.runtime.BitSet`
`FOLLOW_43_in_identifierOrKeyword137`
`static final org.antlr.runtime.BitSet`
`FOLLOW_43_in_module604`
`static final org.antlr.runtime.BitSet`
`FOLLOW_44_in_identifierOrKeyword142`
`static final org.antlr.runtime.BitSet`
`FOLLOW_44_in_module614`
`static final org.antlr.runtime.BitSet`
`FOLLOW_45_in_identifierOrKeyword147`
`static final org.antlr.runtime.BitSet`
`FOLLOW_45_in_lazyMatchedRule1503`
`static final org.antlr.runtime.BitSet`
`FOLLOW_45_in_matchedRule_abstractContents6047`
`static final org.antlr.runtime.BitSet`
`FOLLOW_45_in_module643`
`static final org.antlr.runtime.BitSet`
`FOLLOW_46_in_identifierOrKeyword152`
`static final org.antlr.runtime.BitSet`
`FOLLOW_46_in_inPattern1905`
`static final org.antlr.runtime.BitSet`
`FOLLOW_46_in_module650`
`static final org.antlr.runtime.BitSet`
`FOLLOW_47_in_identifierOrKeyword157`
`static final org.antlr.runtime.BitSet`
`FOLLOW_47_in_library761`
`static final org.antlr.runtime.BitSet`
`FOLLOW_48_in_identifierOrKeyword162`
`static final org.antlr.runtime.BitSet`
`FOLLOW_48_in_query849`
`static final org.antlr.runtime.BitSet`
`FOLLOW_49_in_identifierOrKeyword167`
`static final org.antlr.runtime.BitSet`
`FOLLOW_49_in_libraryRef945`
`static final org.antlr.runtime.BitSet`
`FOLLOW_50_in_helper1026`
`static final org.antlr.runtime.BitSet`
`FOLLOW_50_in_identifierOrKeyword172`
`static final org.antlr.runtime.BitSet`
`FOLLOW_51_in_identifierOrKeyword177`
`static final org.antlr.runtime.BitSet`
`FOLLOW_51_in_oclFeatureDefinition1084`
`static final org.antlr.runtime.BitSet`
`FOLLOW_52_in_identifierOrKeyword182`
`static final org.antlr.runtime.BitSet`
`FOLLOW_52_in_oclContextDefinition1124`
`static final org.antlr.runtime.BitSet`
`FOLLOW_53_in_identifierOrKeyword187`
`static final org.antlr.runtime.BitSet`
`FOLLOW_53_in_matchedRule_abstractContents6019`
`static final org.antlr.runtime.BitSet`
`FOLLOW_54_in_identifierOrKeyword192`
`static final org.antlr.runtime.BitSet`
`FOLLOW_54_in_lazyMatchedRule1489`
`static final org.antlr.runtime.BitSet`
`FOLLOW_54_in_matchedRule_abstractContents6033`
`static final org.antlr.runtime.BitSet`
`FOLLOW_55_in_calledRule1749`
`static final org.antlr.runtime.BitSet`
`FOLLOW_55_in_identifierOrKeyword197`
`static final org.antlr.runtime.BitSet`
`FOLLOW_55_in_lazyMatchedRule1515`
`static final org.antlr.runtime.BitSet`
`FOLLOW_55_in_matchedRule_abstractContents6059`
`static final org.antlr.runtime.BitSet`
`FOLLOW_56_in_identifierOrKeyword202`
`static final org.antlr.runtime.BitSet`
`FOLLOW_56_in_lazyMatchedRule1525`
`static final org.antlr.runtime.BitSet`
`FOLLOW_56_in_matchedRule_abstractContents6069`
`static final org.antlr.runtime.BitSet`
`FOLLOW_57_in_calledRule1793`
`static final org.antlr.runtime.BitSet`
`FOLLOW_57_in_identifierOrKeyword207`
`static final org.antlr.runtime.BitSet`
`FOLLOW_57_in_lazyMatchedRule1555`
`static final org.antlr.runtime.BitSet`
`FOLLOW_57_in_matchedRule_abstractContents6099`
`static final org.antlr.runtime.BitSet`
`FOLLOW_58_in_identifierOrKeyword212`
`static final org.antlr.runtime.BitSet`
`FOLLOW_58_in_lazyMatchedRule1473`
`static final org.antlr.runtime.BitSet`
`FOLLOW_59_in_identifierOrKeyword217`
`static final org.antlr.runtime.BitSet`
`FOLLOW_59_in_lazyMatchedRule1485`
`static final org.antlr.runtime.BitSet`
`FOLLOW_60_in_calledRule1723`
`static final org.antlr.runtime.BitSet`
`FOLLOW_60_in_identifierOrKeyword222`
`static final org.antlr.runtime.BitSet`
`FOLLOW_61_in_calledRule1737`
`static final org.antlr.runtime.BitSet`
`FOLLOW_61_in_identifierOrKeyword227`
`static final org.antlr.runtime.BitSet`
`FOLLOW_62_in_forEachOutPatternElement2442`
`static final org.antlr.runtime.BitSet`
`FOLLOW_62_in_forStat3015`
`static final org.antlr.runtime.BitSet`
`FOLLOW_62_in_identifierOrKeyword232`
`static final org.antlr.runtime.BitSet`
`FOLLOW_62_in_letExp4020`
`static final org.antlr.runtime.BitSet`
`FOLLOW_62_in_simpleInPatternElement2042`
`static final org.antlr.runtime.BitSet`
`FOLLOW_62_in_simpleOutPatternElement2258`
`static final org.antlr.runtime.BitSet`
`FOLLOW_63_in_identifierOrKeyword237`
`static final org.antlr.runtime.BitSet`
`FOLLOW_63_in_outPattern2110`
`static final org.antlr.runtime.BitSet`
`FOLLOW_64_in_forEachOutPatternElement2454`
`static final org.antlr.runtime.BitSet`
`FOLLOW_64_in_identifierOrKeyword242`
`static final org.antlr.runtime.BitSet`
`FOLLOW_64_in_simpleOutPatternElement2278`
`static final org.antlr.runtime.BitSet`
`FOLLOW_65_in_forEachOutPatternElement2424`
`static final org.antlr.runtime.BitSet`
`FOLLOW_65_in_identifierOrKeyword247`
`static final org.antlr.runtime.BitSet`
`FOLLOW_66_in_forEachOutPatternElement2432`
`static final org.antlr.runtime.BitSet`
`FOLLOW_66_in_identifierOrKeyword252`
`static final org.antlr.runtime.BitSet`
`FOLLOW_67_in_dropPattern2605`
`static final org.antlr.runtime.BitSet`
`FOLLOW_67_in_identifierOrKeyword257`
`static final org.antlr.runtime.BitSet`
`FOLLOW_68_in_actionBlock2637`
`static final org.antlr.runtime.BitSet`
`FOLLOW_68_in_identifierOrKeyword262`
`static final org.antlr.runtime.BitSet`
`FOLLOW_69_in_identifierOrKeyword267`
`static final org.antlr.runtime.BitSet`
`FOLLOW_69_in_ifExp3880`
`static final org.antlr.runtime.BitSet`
`FOLLOW_69_in_ifStat2847`
`static final org.antlr.runtime.BitSet`
`FOLLOW_70_in_identifierOrKeyword272`
`static final org.antlr.runtime.BitSet`
`FOLLOW_70_in_ifExp3900`
`static final org.antlr.runtime.BitSet`
`FOLLOW_70_in_ifStat2912`
`static final org.antlr.runtime.BitSet`
`FOLLOW_70_in_synpred135_ATL_ANTLR32912`
`static final org.antlr.runtime.BitSet`
`FOLLOW_71_in_forStat3005`
`static final org.antlr.runtime.BitSet`
`FOLLOW_71_in_identifierOrKeyword277`
`static final org.antlr.runtime.BitSet`
`FOLLOW_72_in_identifierOrKeyword282`
`static final org.antlr.runtime.BitSet`
`FOLLOW_72_in_iterateExp3291`
`static final org.antlr.runtime.BitSet`
`FOLLOW_73_in_identifierOrKeyword287`
`static final org.antlr.runtime.BitSet`
`FOLLOW_73_in_oclUndefinedExp3608`
`static final org.antlr.runtime.BitSet`
`FOLLOW_74_in_booleanExp3729`
`static final org.antlr.runtime.BitSet`
`FOLLOW_74_in_identifierOrKeyword292`
`static final org.antlr.runtime.BitSet`
`FOLLOW_75_in_booleanExp3736`
`static final org.antlr.runtime.BitSet`
`FOLLOW_75_in_identifierOrKeyword297`
`static final org.antlr.runtime.BitSet`
`FOLLOW_76_in_identifierOrKeyword302`
`static final org.antlr.runtime.BitSet`
`FOLLOW_76_in_ifExp3888`
`static final org.antlr.runtime.BitSet`
`FOLLOW_77_in_identifierOrKeyword307`
`static final org.antlr.runtime.BitSet`
`FOLLOW_77_in_ifExp3912`
`static final org.antlr.runtime.BitSet`
`FOLLOW_78_in_identifierOrKeyword312`
`static final org.antlr.runtime.BitSet`
`FOLLOW_78_in_superExp3980`
`static final org.antlr.runtime.BitSet`
`FOLLOW_79_in_identifierOrKeyword317`
`static final org.antlr.runtime.BitSet`
`FOLLOW_79_in_letExp4012`
`static final org.antlr.runtime.BitSet`
`FOLLOW_80_in_bagExp4203`
`static final org.antlr.runtime.BitSet`
`FOLLOW_80_in_bagType5212`
`static final org.antlr.runtime.BitSet`
`FOLLOW_80_in_identifierOrKeyword322`
`static final org.antlr.runtime.BitSet`
`FOLLOW_81_in_identifierOrKeyword327`
`static final org.antlr.runtime.BitSet`
`FOLLOW_81_in_setExp4265`
`static final org.antlr.runtime.BitSet`
`FOLLOW_81_in_setType5254`
`static final org.antlr.runtime.BitSet`
`FOLLOW_82_in_identifierOrKeyword332`
`static final org.antlr.runtime.BitSet`
`FOLLOW_82_in_orderedSetExp4327`
`static final org.antlr.runtime.BitSet`
`FOLLOW_82_in_orderedSetType5296`
`static final org.antlr.runtime.BitSet`
`FOLLOW_83_in_identifierOrKeyword337`
`static final org.antlr.runtime.BitSet`
`FOLLOW_83_in_sequenceExp4389`
`static final org.antlr.runtime.BitSet`
`FOLLOW_83_in_sequenceType5338`
`static final org.antlr.runtime.BitSet`
`FOLLOW_84_in_identifierOrKeyword342`
`static final org.antlr.runtime.BitSet`
`FOLLOW_84_in_mapExp4451`
`static final org.antlr.runtime.BitSet`
`FOLLOW_84_in_mapType4891`
`static final org.antlr.runtime.BitSet`
`FOLLOW_85_in_identifierOrKeyword347`
`static final org.antlr.runtime.BitSet`
`FOLLOW_85_in_tupleExp4561`
`static final org.antlr.runtime.BitSet`
`FOLLOW_86_in_identifierOrKeyword352`
`static final org.antlr.runtime.BitSet`
`FOLLOW_86_in_oclType_abstractContents6211`
`static final org.antlr.runtime.BitSet`
`FOLLOW_87_in_identifierOrKeyword357`
`static final org.antlr.runtime.BitSet`
`FOLLOW_87_in_oclAnyType4753`
`static final org.antlr.runtime.BitSet`
`FOLLOW_88_in_identifierOrKeyword362`
`static final org.antlr.runtime.BitSet`
`FOLLOW_88_in_tupleType4785`
`static final org.antlr.runtime.BitSet`
`FOLLOW_89_in_identifierOrKeyword367`
`static final org.antlr.runtime.BitSet`
`FOLLOW_89_in_integerType5028`
`static final org.antlr.runtime.BitSet`
`FOLLOW_90_in_identifierOrKeyword372`
`static final org.antlr.runtime.BitSet`
`FOLLOW_90_in_realType5060`
`static final org.antlr.runtime.BitSet`
`FOLLOW_91_in_booleanType5092`
`static final org.antlr.runtime.BitSet`
`FOLLOW_91_in_identifierOrKeyword377`
`static final org.antlr.runtime.BitSet`
`FOLLOW_92_in_identifierOrKeyword382`
`static final org.antlr.runtime.BitSet`
`FOLLOW_92_in_stringType5124`
`static final org.antlr.runtime.BitSet`
`FOLLOW_93_in_collectionType_abstractContents6243`
`static final org.antlr.runtime.BitSet`
`FOLLOW_93_in_identifierOrKeyword387`
`static final org.antlr.runtime.BitSet`
`FOLLOW_94_in_identifierOrKeyword392`
`static final org.antlr.runtime.BitSet`
`FOLLOW_94_in_priority_15470`
`static final org.antlr.runtime.BitSet`
`FOLLOW_95_in_identifierOrKeyword397`
`static final org.antlr.runtime.BitSet`
`FOLLOW_95_in_priority_25592`
`static final org.antlr.runtime.BitSet`
`FOLLOW_96_in_identifierOrKeyword402`
`static final org.antlr.runtime.BitSet`
`FOLLOW_96_in_priority_25612`
`static final org.antlr.runtime.BitSet`
`FOLLOW_97_in_identifierOrKeyword407`
`static final org.antlr.runtime.BitSet`
`FOLLOW_97_in_priority_55906`
`static final org.antlr.runtime.BitSet`
`FOLLOW_98_in_identifierOrKeyword412`
`static final org.antlr.runtime.BitSet`
`FOLLOW_98_in_priority_55926`
`static final org.antlr.runtime.BitSet`
`FOLLOW_99_in_identifierOrKeyword417`
`static final org.antlr.runtime.BitSet`
`FOLLOW_99_in_priority_55946`
`static final org.antlr.runtime.BitSet`
`FOLLOW_actionBlock_in_calledRule1857`
`static final org.antlr.runtime.BitSet`
`FOLLOW_actionBlock_in_lazyMatchedRule1619`
`static final org.antlr.runtime.BitSet`
`FOLLOW_actionBlock_in_matchedRule_abstractContents6163`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ASSIGNARROW_in_binding2556`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ASSIGNARROW_in_bindingStat2758`
`static final org.antlr.runtime.BitSet`
`FOLLOW_attribute_in_oclFeature1170`
`static final org.antlr.runtime.BitSet`
`FOLLOW_bagExp_in_collectionExp4155`
`static final org.antlr.runtime.BitSet`
`FOLLOW_bagType_in_collectionType5159`
`static final org.antlr.runtime.BitSet`
`FOLLOW_binding_in_forEachOutPatternElement2482`
`static final org.antlr.runtime.BitSet`
`FOLLOW_binding_in_forEachOutPatternElement2494`
`static final org.antlr.runtime.BitSet`
`FOLLOW_binding_in_simpleOutPatternElement2350`
`static final org.antlr.runtime.BitSet`
`FOLLOW_binding_in_simpleOutPatternElement2362`
`static final org.antlr.runtime.BitSet`
`FOLLOW_bindingStat_in_statement2712`
`static final org.antlr.runtime.BitSet`
`FOLLOW_bindingStat_in_synpred127_ATL_ANTLR32712`
`static final org.antlr.runtime.BitSet`
`FOLLOW_booleanExp_in_primitiveExp3648`
`static final org.antlr.runtime.BitSet`
`FOLLOW_booleanType_in_primitive4949`
`static final org.antlr.runtime.BitSet`
`FOLLOW_calledRule_in_rule1392`
`static final org.antlr.runtime.BitSet`
`FOLLOW_collectionExp_in_primary_oclExpression6328`
`static final org.antlr.runtime.BitSet`
`FOLLOW_collectionOperationCallExp_in_priority_05430`
`static final org.antlr.runtime.BitSet`
`FOLLOW_collectionType_abstractContents_in_collectionType5179`
`static final org.antlr.runtime.BitSet`
`FOLLOW_collectionType_in_oclType4715`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_attribute1339`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_forEachOutPatternElement2422`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_oclFeatureDefinition1086`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_oclModel3091`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_operation1239`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_parameter1295`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_ruleVariableDeclaration1673`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_simpleInPatternElement2032`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_simpleOutPatternElement2248`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_tuplePart4631`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_tupleTypeAttribute4853`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COLON_in_variableDeclaration4068`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_bagExp4218`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_calledRule1770`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_collectionOperationCallExp3392`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_forEachOutPatternElement2489`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_inPattern1920`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_iterateExp3306`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_iteratorExp3232`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_mapElement4521`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_mapExp4466`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_mapType4901`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_module627`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_module667`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_operation1222`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_operationCallExp3459`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_orderedSetExp4342`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_outPattern2145`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_sequenceExp4404`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_setExp4280`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_simpleInPatternElement2055`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_simpleOutPatternElement2313`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_simpleOutPatternElement2357`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_tupleExp4576`
`static final org.antlr.runtime.BitSet`
`FOLLOW_COMA_in_tupleType4800`
`static final org.antlr.runtime.BitSet`
`FOLLOW_dropPattern_in_outPattern2116`
`static final org.antlr.runtime.BitSet`
`FOLLOW_enumLiteralExp_in_primary_oclExpression6323`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EOF_in_main64`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EQ_in_attribute1347`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EQ_in_operation1247`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EQ_in_priority_45748`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EQ_in_query857`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EQ_in_ruleVariableDeclaration1681`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EQ_in_tuplePart4649`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EQ_in_variableDeclaration4076`
`static final org.antlr.runtime.BitSet`
`FOLLOW_EXCL_in_oclModelElement3135`
`static final org.antlr.runtime.BitSet`
`FOLLOW_expressionStat_in_statement2707`
`static final org.antlr.runtime.BitSet`
`FOLLOW_expressionStat_in_synpred126_ATL_ANTLR32707`
`static final org.antlr.runtime.BitSet`
`FOLLOW_FLOAT_in_floatSymbol525`
`static final org.antlr.runtime.BitSet`
`FOLLOW_floatSymbol_in_realExp3810`
`static final org.antlr.runtime.BitSet`
`FOLLOW_forEachOutPatternElement_in_outPatternElement2209`
`static final org.antlr.runtime.BitSet`
`FOLLOW_forStat_in_statement2717`
`static final org.antlr.runtime.BitSet`
`FOLLOW_GE_in_priority_45808`
`static final org.antlr.runtime.BitSet`
`FOLLOW_GT_in_priority_45768`
`static final org.antlr.runtime.BitSet`
`FOLLOW_helper_in_library799`
`static final org.antlr.runtime.BitSet`
`FOLLOW_helper_in_library807`
`static final org.antlr.runtime.BitSet`
`FOLLOW_helper_in_moduleElement988`
`static final org.antlr.runtime.BitSet`
`FOLLOW_helper_in_query895`
`static final org.antlr.runtime.BitSet`
`FOLLOW_helper_in_query903`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_attribute1335`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_calledRule1753`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_collectionOperationCallExp3375`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_enumLiteralExp4118`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_forEachOutPatternElement2418`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_forEachOutPatternElement2458`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_iterator3574`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_iteratorExp3215`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_lazyMatchedRule1519`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_lazyMatchedRule1529`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_library765`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_libraryRef949`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_matchedRule_abstractContents6063`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_matchedRule_abstractContents6073`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_module608`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_oclModel3087`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_oclModel3095`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_oclModelElement3131`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_oclModelElement3139`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_operation1205`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_parameter1291`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_query853`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_ruleVariableDeclaration1669`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_simpleInPatternElement2028`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_simpleInPatternElement2048`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_simpleInPatternElement2060`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_simpleOutPatternElement2244`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_simpleOutPatternElement2262`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_simpleOutPatternElement2282`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_tupleTypeAttribute4849`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_variableDeclaration4064`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifier_in_variableExp3946`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifierOrKeyword_in_binding2550`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifierOrKeyword_in_navigationOrAttributeCallExp3509`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifierOrKeyword_in_operationCallExp3442`
`static final org.antlr.runtime.BitSet`
`FOLLOW_identifierOrKeyword_in_tuplePart4625`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ifExp_in_primary_oclExpression6313`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ifStat_in_statement2702`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ifStat_in_synpred125_ATL_ANTLR32702`
`static final org.antlr.runtime.BitSet`
`FOLLOW_inPattern_in_lazyMatchedRule1549`
`static final org.antlr.runtime.BitSet`
`FOLLOW_inPattern_in_matchedRule_abstractContents6093`
`static final org.antlr.runtime.BitSet`
`FOLLOW_inPatternElement_in_inPattern1913`
`static final org.antlr.runtime.BitSet`
`FOLLOW_inPatternElement_in_inPattern1925`
`static final org.antlr.runtime.BitSet`
`FOLLOW_INT_in_integerSymbol491`
`static final org.antlr.runtime.BitSet`
`FOLLOW_integerExp_in_numericExp3689`
`static final org.antlr.runtime.BitSet`
`FOLLOW_integerSymbol_in_integerExp3774`
`static final org.antlr.runtime.BitSet`
`FOLLOW_integerType_in_numericType4990`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iterateExp_in_priority_05423`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iterator_in_forEachOutPatternElement2438`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iterator_in_forStat3011`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iterator_in_iterateExp3299`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iterator_in_iterateExp3311`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iterator_in_iteratorExp3225`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iterator_in_iteratorExp3237`
`static final org.antlr.runtime.BitSet`
`FOLLOW_iteratorExp_in_priority_05416`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LARROW_in_binding2563`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LARROW_in_bindingStat2765`
`static final org.antlr.runtime.BitSet`
`FOLLOW_lazyMatchedRule_in_matchedRule1433`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_actionBlock2639`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_bagExp4205`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_calledRule1787`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_calledRule1795`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_forStat3025`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_ifStat2876`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_ifStat2931`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_lazyMatchedRule1543`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_lazyMatchedRule1557`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_mapExp4453`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_matchedRule_abstractContents6087`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_matchedRule_abstractContents6101`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_orderedSetExp4329`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_sequenceExp4391`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_setExp4267`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_synpred135_ATL_ANTLR32931`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LCURLY_in_tupleExp4563`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LE_in_priority_45828`
`static final org.antlr.runtime.BitSet`
`FOLLOW_letExp_in_oclExpression3180`
`static final org.antlr.runtime.BitSet`
`FOLLOW_library_in_unit566`
`static final org.antlr.runtime.BitSet`
`FOLLOW_libraryRef_in_library777`
`static final org.antlr.runtime.BitSet`
`FOLLOW_libraryRef_in_library785`
`static final org.antlr.runtime.BitSet`
`FOLLOW_libraryRef_in_module689`
`static final org.antlr.runtime.BitSet`
`FOLLOW_libraryRef_in_module697`
`static final org.antlr.runtime.BitSet`
`FOLLOW_libraryRef_in_query873`
`static final org.antlr.runtime.BitSet`
`FOLLOW_libraryRef_in_query881`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_bagType5214`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_calledRule1757`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_collectionOperationCallExp3379`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_collectionType_abstractContents6245`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_forEachOutPatternElement2434`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_forEachOutPatternElement2474`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_forStat3007`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_ifStat2849`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_inPattern1936`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_iterateExp3293`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_iteratorExp3219`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_mapElement4513`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_mapType4893`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_operation1209`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_operationCallExp3446`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_orderedSetType5298`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_primary_oclExpression6286`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_sequenceType5340`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_setType5256`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_simpleOutPatternElement2300`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_simpleOutPatternElement2342`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LPAREN_in_tupleType4787`
`static final org.antlr.runtime.BitSet`
`FOLLOW_LT_in_priority_45788`
`static final org.antlr.runtime.BitSet`
`FOLLOW_mapElement_in_mapExp4459`
`static final org.antlr.runtime.BitSet`
`FOLLOW_mapElement_in_mapExp4471`
`static final org.antlr.runtime.BitSet`
`FOLLOW_mapExp_in_primary_oclExpression6333`
`static final org.antlr.runtime.BitSet`
`FOLLOW_mapType_in_oclType4705`
`static final org.antlr.runtime.BitSet`
`FOLLOW_matchedRule_abstractContents_in_matchedRule1438`
`static final org.antlr.runtime.BitSet`
`FOLLOW_matchedRule_in_rule1397`
`static final org.antlr.runtime.BitSet`
`FOLLOW_MINUS_in_priority_15490`
`static final org.antlr.runtime.BitSet`
`FOLLOW_MINUS_in_priority_35690`
`static final org.antlr.runtime.BitSet`
`FOLLOW_module_in_unit561`
`static final org.antlr.runtime.BitSet`
`FOLLOW_moduleElement_in_module711`
`static final org.antlr.runtime.BitSet`
`FOLLOW_moduleElement_in_module719`
`static final org.antlr.runtime.BitSet`
`FOLLOW_NAME_in_identifier97`
`static final org.antlr.runtime.BitSet`
`FOLLOW_NAME_in_identifierOrKeyword132`
`static final org.antlr.runtime.BitSet`
`FOLLOW_navigationOrAttributeCallExp_in_priority_05401`
`static final org.antlr.runtime.BitSet`
`FOLLOW_NE_in_priority_45848`
`static final org.antlr.runtime.BitSet`
`FOLLOW_numericExp_in_primitiveExp3643`
`static final org.antlr.runtime.BitSet`
`FOLLOW_numericType_in_primitive4944`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclAnyType_in_oclType4695`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclContextDefinition_in_oclFeatureDefinition1070`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_attribute1353`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_bagExp4211`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_bagExp4223`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_binding2571`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_bindingStat2752`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_bindingStat2773`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_collectionOperationCallExp3385`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_collectionOperationCallExp3397`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_expressionStat2811`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_forEachOutPatternElement2446`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_forStat3019`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_ifExp3884`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_ifExp3894`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_ifExp3906`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_ifStat2853`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_inPattern1942`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_iterateExp3334`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_iteratorExp3252`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_letExp4026`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_mapElement4517`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_mapElement4525`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_operation1253`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_operationCallExp3452`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_operationCallExp3464`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_orderedSetExp4335`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_orderedSetExp4347`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_primary_oclExpression6290`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_query861`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_ruleVariableDeclaration1685`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_sequenceExp4397`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_sequenceExp4409`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_setExp4273`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_setExp4285`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_simpleOutPatternElement2306`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_simpleOutPatternElement2318`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_tuplePart4653`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclExpression_in_variableDeclaration4080`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclFeature_in_oclFeatureDefinition1090`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclFeatureDefinition_in_helper1030`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclModel_in_module620`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclModel_in_module632`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclModel_in_module660`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclModel_in_module672`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclModelElement_in_oclType4690`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_abstractContents_in_oclType4720`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_attribute1343`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_bagType5218`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_collectionType_abstractContents6249`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_forEachOutPatternElement2428`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_mapType4897`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_mapType4905`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_oclContextDefinition1128`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_operation1243`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_orderedSetType5302`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_parameter1299`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_primary_oclExpression6343`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_ruleVariableDeclaration1677`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_sequenceType5344`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_setType5260`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_simpleInPatternElement2036`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_simpleOutPatternElement2252`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_tuplePart4635`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_tupleTypeAttribute4857`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclType_in_variableDeclaration4072`
`static final org.antlr.runtime.BitSet`
`FOLLOW_oclUndefinedExp_in_primary_oclExpression6303`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operation_in_oclFeature1165`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operationCallExp_in_priority_05394`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_15477`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_15497`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_25559`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_25579`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_25599`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_25619`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_35677`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_35697`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_45755`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_45775`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_45795`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_45815`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_45835`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_45855`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_55913`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_55933`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_55953`
`static final org.antlr.runtime.BitSet`
`FOLLOW_operatorCallExp_in_priority_55973`
`static final org.antlr.runtime.BitSet`
`FOLLOW_orderedSetExp_in_collectionExp4165`
`static final org.antlr.runtime.BitSet`
`FOLLOW_orderedSetType_in_collectionType5169`
`static final org.antlr.runtime.BitSet`
`FOLLOW_outPattern_in_calledRule1839`
`static final org.antlr.runtime.BitSet`
`FOLLOW_outPattern_in_lazyMatchedRule1601`
`static final org.antlr.runtime.BitSet`
`FOLLOW_outPattern_in_matchedRule_abstractContents6145`
`static final org.antlr.runtime.BitSet`
`FOLLOW_outPatternElement_in_outPattern2138`
`static final org.antlr.runtime.BitSet`
`FOLLOW_outPatternElement_in_outPattern2150`
`static final org.antlr.runtime.BitSet`
`FOLLOW_parameter_in_calledRule1763`
`static final org.antlr.runtime.BitSet`
`FOLLOW_parameter_in_calledRule1775`
`static final org.antlr.runtime.BitSet`
`FOLLOW_parameter_in_operation1215`
`static final org.antlr.runtime.BitSet`
`FOLLOW_parameter_in_operation1227`
`static final org.antlr.runtime.BitSet`
`FOLLOW_PIPE_in_iterateExp3328`
`static final org.antlr.runtime.BitSet`
`FOLLOW_PIPE_in_iteratorExp3246`
`static final org.antlr.runtime.BitSet`
`FOLLOW_PLUS_in_priority_35670`
`static final org.antlr.runtime.BitSet`
`FOLLOW_POINT_in_priority_05387`
`static final org.antlr.runtime.BitSet`
`FOLLOW_primary_oclExpression_in_priority_05382`
`static final org.antlr.runtime.BitSet`
`FOLLOW_primitive_in_oclType4710`
`static final org.antlr.runtime.BitSet`
`FOLLOW_primitiveExp_in_primary_oclExpression6308`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_0_in_priority_15482`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_0_in_priority_15502`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_0_in_priority_15512`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_1_in_priority_25547`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_1_in_priority_25564`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_1_in_priority_25584`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_1_in_priority_25604`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_1_in_priority_25624`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_2_in_priority_35665`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_2_in_priority_35682`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_2_in_priority_35702`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_3_in_priority_45743`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_3_in_priority_45760`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_3_in_priority_45780`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_3_in_priority_45800`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_3_in_priority_45820`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_3_in_priority_45840`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_3_in_priority_45860`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_4_in_priority_55901`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_4_in_priority_55918`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_4_in_priority_55938`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_4_in_priority_55958`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_4_in_priority_55978`
`static final org.antlr.runtime.BitSet`
`FOLLOW_priority_5_in_oclExpression3175`
`static final org.antlr.runtime.BitSet`
`FOLLOW_query_in_unit571`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RARROW_in_priority_05409`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RARROW_in_simpleOutPatternElement2298`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_actionBlock2667`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_bagExp4233`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_calledRule1823`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_calledRule1873`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_forStat3053`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_ifStat2904`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_ifStat2959`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_lazyMatchedRule1585`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_lazyMatchedRule1635`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_mapExp4481`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_matchedRule_abstractContents6129`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_matchedRule_abstractContents6179`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_orderedSetExp4357`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_sequenceExp4419`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_setExp4295`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_synpred135_ATL_ANTLR32959`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RCURLY_in_tupleExp4591`
`static final org.antlr.runtime.BitSet`
`FOLLOW_realExp_in_numericExp3694`
`static final org.antlr.runtime.BitSet`
`FOLLOW_realType_in_numericType4995`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_bagType5222`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_calledRule1785`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_collectionOperationCallExp3407`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_collectionType_abstractContents6253`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_forEachOutPatternElement2450`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_forEachOutPatternElement2506`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_forStat3023`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_ifStat2857`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_inPattern1948`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_iterateExp3340`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_iteratorExp3258`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_mapElement4529`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_mapType4909`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_operation1237`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_operationCallExp3474`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_orderedSetType5306`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_primary_oclExpression6292`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_sequenceType5348`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_setType5264`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_simpleOutPatternElement2328`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_simpleOutPatternElement2374`
`static final org.antlr.runtime.BitSet`
`FOLLOW_RPAREN_in_tupleType4815`
`static final org.antlr.runtime.BitSet`
`FOLLOW_rule_in_moduleElement993`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ruleVariableDeclaration_in_calledRule1803`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ruleVariableDeclaration_in_calledRule1811`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1565`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1573`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6109`
`static final org.antlr.runtime.BitSet`
`FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6117`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_bindingStat2777`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_expressionStat2815`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_helper1034`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_iterateExp3320`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_library769`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_libraryRef953`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_module612`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_module681`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_query865`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SEMI_in_ruleVariableDeclaration1689`
`static final org.antlr.runtime.BitSet`
`FOLLOW_sequenceExp_in_collectionExp4170`
`static final org.antlr.runtime.BitSet`
`FOLLOW_sequenceType_in_collectionType5174`
`static final org.antlr.runtime.BitSet`
`FOLLOW_setExp_in_collectionExp4160`
`static final org.antlr.runtime.BitSet`
`FOLLOW_setType_in_collectionType5164`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SHARP_in_enumLiteralExp4114`
`static final org.antlr.runtime.BitSet`
`FOLLOW_simpleInPatternElement_in_inPatternElement1994`
`static final org.antlr.runtime.BitSet`
`FOLLOW_simpleOutPatternElement_in_outPatternElement2204`
`static final org.antlr.runtime.BitSet`
`FOLLOW_SLASH_in_priority_25572`
`static final org.antlr.runtime.BitSet`
`FOLLOW_STAR_in_priority_25552`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_actionBlock2647`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_actionBlock2655`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_forStat3033`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_forStat3041`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_ifStat2865`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_ifStat2884`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_ifStat2892`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_ifStat2920`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_ifStat2939`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_ifStat2947`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_synpred135_ATL_ANTLR32920`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_synpred135_ATL_ANTLR32939`
`static final org.antlr.runtime.BitSet`
`FOLLOW_statement_in_synpred135_ATL_ANTLR32947`
`static final org.antlr.runtime.BitSet`
`FOLLOW_STRING_in_stringSymbol457`
`static final org.antlr.runtime.BitSet`
`FOLLOW_stringExp_in_primitiveExp3653`
`static final org.antlr.runtime.BitSet`
`FOLLOW_stringSymbol_in_stringExp3846`
`static final org.antlr.runtime.BitSet`
`FOLLOW_stringType_in_primitive4954`
`static final org.antlr.runtime.BitSet`
`FOLLOW_superExp_in_primary_oclExpression6318`
`static final org.antlr.runtime.BitSet`
`FOLLOW_tupleExp_in_primary_oclExpression6338`
`static final org.antlr.runtime.BitSet`
`FOLLOW_tuplePart_in_tupleExp4569`
`static final org.antlr.runtime.BitSet`
`FOLLOW_tuplePart_in_tupleExp4581`
`static final org.antlr.runtime.BitSet`
`FOLLOW_tupleType_in_oclType4700`
`static final org.antlr.runtime.BitSet`
`FOLLOW_tupleTypeAttribute_in_tupleType4793`
`static final org.antlr.runtime.BitSet`
`FOLLOW_tupleTypeAttribute_in_tupleType4805`
`static final org.antlr.runtime.BitSet`
`FOLLOW_unit_in_main61`
`static final org.antlr.runtime.BitSet`
`FOLLOW_variableDeclaration_in_iterateExp3324`
`static final org.antlr.runtime.BitSet`
`FOLLOW_variableDeclaration_in_letExp4016`
`static final org.antlr.runtime.BitSet`
`FOLLOW_variableExp_in_primary_oclExpression6298`
`static final int`
`GE`
`static final int`
`GT`
`static final int`
`INT`
`static final int`
`LARROW`
`static final int`
`LCURLY`
`static final int`
`LE`
`static final int`
`LPAREN`
`static final int`
`LSQUARE`
`static final int`
`LT`
`static final int`
`MINUS`
`static final int`
`NAME`
`static final int`
`NE`
`static final int`
`NL`
`static final int`
`PIPE`
`static final int`
`PLUS`
`static final int`
`POINT`
`static final int`
`QMARK`
`static final int`
`RARROW`
`static final int`
`RCURLY`
`static final int`
`RPAREN`
`static final int`
`RSQUARE`
`static final int`
`SEMI`
`static final int`
`SHARP`
`static final int`
`SLASH`
`static final int`
`SNAME`
`static final int`
`STAR`
`static final int`
`STRING`
`static final int`
`T__100`
`static final int`
`T__43`
`static final int`
`T__44`
`static final int`
`T__45`
`static final int`
`T__46`
`static final int`
`T__47`
`static final int`
`T__48`
`static final int`
`T__49`
`static final int`
`T__50`
`static final int`
`T__51`
`static final int`
`T__52`
`static final int`
`T__53`
`static final int`
`T__54`
`static final int`
`T__55`
`static final int`
`T__56`
`static final int`
`T__57`
`static final int`
`T__58`
`static final int`
`T__59`
`static final int`
`T__60`
`static final int`
`T__61`
`static final int`
`T__62`
`static final int`
`T__63`
`static final int`
`T__64`
`static final int`
`T__65`
`static final int`
`T__66`
`static final int`
`T__67`
`static final int`
`T__68`
`static final int`
`T__69`
`static final int`
`T__70`
`static final int`
`T__71`
`static final int`
`T__72`
`static final int`
`T__73`
`static final int`
`T__74`
`static final int`
`T__75`
`static final int`
`T__76`
`static final int`
`T__77`
`static final int`
`T__78`
`static final int`
`T__79`
`static final int`
`T__80`
`static final int`
`T__81`
`static final int`
`T__82`
`static final int`
`T__83`
`static final int`
`T__84`
`static final int`
`T__85`
`static final int`
`T__86`
`static final int`
`T__87`
`static final int`
`T__88`
`static final int`
`T__89`
`static final int`
`T__90`
`static final int`
`T__91`
`static final int`
`T__92`
`static final int`
`T__93`
`static final int`
`T__94`
`static final int`
`T__95`
`static final int`
`T__96`
`static final int`
`T__97`
`static final int`
`T__98`
`static final int`
`T__99`
`static final String[]`
`tokenNames`
`static final int`
`WS`

### Fields inherited from class org.antlr.runtime.Parser

`input`

### Fields inherited from class org.antlr.runtime.BaseRecognizer

`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

## Constructor Summary

Constructors
Constructor
Description
`ATL_ANTLR3Parser(org.antlr.runtime.TokenStream input)`
`ATL_ANTLR3Parser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

## Method Summary

Modifier and Type
Method
Description
`final Object`
`actionBlock()`
`final Object`
`attribute()`
`final Object`
`bagExp()`
`final Object`
`bagType()`
`final Object`
`binding()`
`final Object`
`bindingStat()`
`final Object`
`booleanExp()`
`final Object`
`booleanType()`
`final Object`
`calledRule()`
`final Object`
`collectionExp()`
`final Object`
`collectionOperationCallExp(String opName, Object left, org.antlr.runtime.Token firstToken)`
`final Object`
`collectionType()`
`final Object`
`collectionType_abstractContents()`
`void`
`displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`final Object`
`dropPattern()`
`final Object`
`enumLiteralExp()`
`final Object`
`expressionStat()`
`final Object`
`floatSymbol()`
`final Object`
`forEachOutPatternElement()`
`final Object`
`forStat()`
`String`
`getGrammarFileName()`
`String[]`
`getTokenNames()`
`final Object`
`helper()`
`final Object`
`identifier()`
`final Object`
`identifierOrKeyword()`
`final Object`
`ifExp()`
`final Object`
`ifStat()`
`final Object`
`inPattern()`
`final Object`
`inPatternElement()`
`final Object`
`integerExp()`
`final Object`
`integerSymbol()`
`final Object`
`integerType()`
`final Object`
`iterateExp(String opName, Object left, org.antlr.runtime.Token firstToken)`
`final Object`
`iterator()`
`final Object`
`iteratorExp(String opName, Object left, org.antlr.runtime.Token firstToken)`
`final Object`
`lazyMatchedRule()`
`final Object`
`letExp()`
`final Object`
`library()`
`final Object`
`libraryRef()`
`final Object`
`main()`
`static void`
`main(String[] args)`
`final Object`
`mapElement()`
`final Object`
`mapExp()`
`final Object`
`mapType()`
`final Object`
`matchedRule()`
`final Object`
`matchedRule_abstractContents()`
`final Object`
`module()`
`final Object`
`moduleElement()`
`final Object`
`navigationOrAttributeCallExp(String opName, Object left, org.antlr.runtime.Token firstToken)`
`final Object`
`numericExp()`
`final Object`
`numericType()`
`final Object`
`oclAnyType()`
`final Object`
`oclContextDefinition()`
`final Object`
`oclExpression()`
`final Object`
`oclFeature()`
`final Object`
`oclFeatureDefinition()`
`final Object`
`oclModel()`
`final Object`
`oclModelElement()`
`final Object`
`oclType()`
`final Object`
`oclType_abstractContents()`
`final Object`
`oclUndefinedExp()`
`final Object`
`operation()`
`final Object`
`operationCallExp(String opName, Object left, org.antlr.runtime.Token firstToken)`
`final Object`
`operatorCallExp(String opName, Object left, org.antlr.runtime.Token firstToken)`
`final Object`
`orderedSetExp()`
`final Object`
`orderedSetType()`
`final Object`
`outPattern()`
`final Object`
`outPatternElement()`
`final Object`
`parameter()`
`final Object`
`primary_oclExpression()`
`final Object`
`primitive()`
`final Object`
`primitiveExp()`
`final Object`
`priority_0()`
`final Object`
`priority_1()`
`final Object`
`priority_2()`
`final Object`
`priority_3()`
`final Object`
`priority_4()`
`final Object`
`priority_5()`
`final Object`
`query()`
`final Object`
`realExp()`
`final Object`
`realType()`
`final Object`
`rule()`
`final Object`
`ruleVariableDeclaration()`
`final Object`
`sequenceExp()`
`final Object`
`sequenceType()`
`final Object`
`setExp()`
`final Object`
`setType()`
`final Object`
`simpleInPatternElement()`
`final Object`
`simpleOutPatternElement()`
`final Object`
`statement()`
`final Object`
`stringExp()`
`final Object`
`stringSymbol()`
`final Object`
`stringType()`
`final Object`
`superExp()`
`final boolean`
`synpred125_ATL_ANTLR3()`
`final void`
`synpred125_ATL_ANTLR3_fragment()`
`final boolean`
`synpred126_ATL_ANTLR3()`
`final void`
`synpred126_ATL_ANTLR3_fragment()`
`final boolean`
`synpred127_ATL_ANTLR3()`
`final void`
`synpred127_ATL_ANTLR3_fragment()`
`final boolean`
`synpred135_ATL_ANTLR3()`
`final void`
`synpred135_ATL_ANTLR3_fragment()`
`final Object`
`tupleExp()`
`final Object`
`tuplePart()`
`final Object`
`tupleType()`
`final Object`
`tupleTypeAttribute()`
`final Object`
`unit()`
`final Object`
`variableDeclaration()`
`final Object`
`variableExp()`

### Methods inherited from class org.antlr.runtime.Parser

`getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

### Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tokenNames

public static final String[] tokenNames

### T__50

public static final int T__50

See Also:
  - Constant Field Values

### QMARK

public static final int QMARK

See Also:
  - Constant Field Values

### MINUS

public static final int MINUS

See Also:
  - Constant Field Values

### RSQUARE

public static final int RSQUARE

See Also:
  - Constant Field Values

### T__59

public static final int T__59

See Also:
  - Constant Field Values

### T__55

public static final int T__55

See Also:
  - Constant Field Values

### T__56

public static final int T__56

See Also:
  - Constant Field Values

### T__57

public static final int T__57

See Also:
  - Constant Field Values

### T__58

public static final int T__58

See Also:
  - Constant Field Values

### T__51

public static final int T__51

See Also:
  - Constant Field Values

### T__52

public static final int T__52

See Also:
  - Constant Field Values

### T__53

public static final int T__53

See Also:
  - Constant Field Values

### T__54

public static final int T__54

See Also:
  - Constant Field Values

### COMA

public static final int COMA

See Also:
  - Constant Field Values

### T__60

public static final int T__60

See Also:
  - Constant Field Values

### T__61

public static final int T__61

See Also:
  - Constant Field Values

### LPAREN

public static final int LPAREN

See Also:
  - Constant Field Values

### T__66

public static final int T__66

See Also:
  - Constant Field Values

### T__67

public static final int T__67

See Also:
  - Constant Field Values

### T__68

public static final int T__68

See Also:
  - Constant Field Values

### T__69

public static final int T__69

See Also:
  - Constant Field Values

### T__62

public static final int T__62

See Also:
  - Constant Field Values

### T__63

public static final int T__63

See Also:
  - Constant Field Values

### T__64

public static final int T__64

See Also:
  - Constant Field Values

### T__65

public static final int T__65

See Also:
  - Constant Field Values

### SEMI

public static final int SEMI

See Also:
  - Constant Field Values

### COMMENT

public static final int COMMENT

See Also:
  - Constant Field Values

### ESC

public static final int ESC

See Also:
  - Constant Field Values

### RCURLY

public static final int RCURLY

See Also:
  - Constant Field Values

### AROBAS

public static final int AROBAS

See Also:
  - Constant Field Values

### LCURLY

public static final int LCURLY

See Also:
  - Constant Field Values

### RARROW

public static final int RARROW

See Also:
  - Constant Field Values

### T__48

public static final int T__48

See Also:
  - Constant Field Values

### STAR

public static final int STAR

See Also:
  - Constant Field Values

### T__49

public static final int T__49

See Also:
  - Constant Field Values

### LARROW

public static final int LARROW

See Also:
  - Constant Field Values

### T__44

public static final int T__44

See Also:
  - Constant Field Values

### T__45

public static final int T__45

See Also:
  - Constant Field Values

### STRING

public static final int STRING

See Also:
  - Constant Field Values

### SHARP

public static final int SHARP

See Also:
  - Constant Field Values

### LE

public static final int LE

See Also:
  - Constant Field Values

### T__46

public static final int T__46

See Also:
  - Constant Field Values

### T__47

public static final int T__47

See Also:
  - Constant Field Values

### EXCL

public static final int EXCL

See Also:
  - Constant Field Values

### T__43

public static final int T__43

See Also:
  - Constant Field Values

### T__91

public static final int T__91

See Also:
  - Constant Field Values

### T__100

public static final int T__100

See Also:
  - Constant Field Values

### T__92

public static final int T__92

See Also:
  - Constant Field Values

### T__93

public static final int T__93

See Also:
  - Constant Field Values

### T__94

public static final int T__94

See Also:
  - Constant Field Values

### T__90

public static final int T__90

See Also:
  - Constant Field Values

### LT

public static final int LT

See Also:
  - Constant Field Values

### ALPHA

public static final int ALPHA

See Also:
  - Constant Field Values

### PIPE

public static final int PIPE

See Also:
  - Constant Field Values

### T__99

public static final int T__99

See Also:
  - Constant Field Values

### T__95

public static final int T__95

See Also:
  - Constant Field Values

### T__96

public static final int T__96

See Also:
  - Constant Field Values

### T__97

public static final int T__97

See Also:
  - Constant Field Values

### T__98

public static final int T__98

See Also:
  - Constant Field Values

### RPAREN

public static final int RPAREN

See Also:
  - Constant Field Values

### EQ

public static final int EQ

See Also:
  - Constant Field Values

### NAME

public static final int NAME

See Also:
  - Constant Field Values

### ASSIGNARROW

public static final int ASSIGNARROW

See Also:
  - Constant Field Values

### NE

public static final int NE

See Also:
  - Constant Field Values

### NL

public static final int NL

See Also:
  - Constant Field Values

### PLUS

public static final int PLUS

See Also:
  - Constant Field Values

### T__70

public static final int T__70

See Also:
  - Constant Field Values

### T__71

public static final int T__71

See Also:
  - Constant Field Values

### FLOAT

public static final int FLOAT

See Also:
  - Constant Field Values

### T__72

public static final int T__72

See Also:
  - Constant Field Values

### INT

public static final int INT

See Also:
  - Constant Field Values

### T__77

public static final int T__77

See Also:
  - Constant Field Values

### T__78

public static final int T__78

See Also:
  - Constant Field Values

### T__79

public static final int T__79

See Also:
  - Constant Field Values

### T__73

public static final int T__73

See Also:
  - Constant Field Values

### WS

public static final int WS

See Also:
  - Constant Field Values

### EOF

public static final int EOF

See Also:
  - Constant Field Values

### T__74

public static final int T__74

See Also:
  - Constant Field Values

### T__75

public static final int T__75

See Also:
  - Constant Field Values

### GE

public static final int GE

See Also:
  - Constant Field Values

### T__76

public static final int T__76

See Also:
  - Constant Field Values

### T__80

public static final int T__80

See Also:
  - Constant Field Values

### T__81

public static final int T__81

See Also:
  - Constant Field Values

### T__82

public static final int T__82

See Also:
  - Constant Field Values

### T__83

public static final int T__83

See Also:
  - Constant Field Values

### SLASH

public static final int SLASH

See Also:
  - Constant Field Values

### SNAME

public static final int SNAME

See Also:
  - Constant Field Values

### COLON

public static final int COLON

See Also:
  - Constant Field Values

### GT

public static final int GT

See Also:
  - Constant Field Values

### DIGIT

public static final int DIGIT

See Also:
  - Constant Field Values

### LSQUARE

public static final int LSQUARE

See Also:
  - Constant Field Values

### T__88

public static final int T__88

See Also:
  - Constant Field Values

### T__89

public static final int T__89

See Also:
  - Constant Field Values

### T__84

public static final int T__84

See Also:
  - Constant Field Values

### POINT

public static final int POINT

See Also:
  - Constant Field Values

### T__85

public static final int T__85

See Also:
  - Constant Field Values

### T__86

public static final int T__86

See Also:
  - Constant Field Values

### T__87

public static final int T__87

See Also:
  - Constant Field Values

### ei

public TCSRuntime ei

### dfa67

protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA67 dfa67

### dfa108

protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA108 dfa108

### dfa109

protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA109 dfa109

### dfa130

protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA130 dfa130

### FOLLOW_unit_in_main61

public static final org.antlr.runtime.BitSet FOLLOW_unit_in_main61

### FOLLOW_EOF_in_main64

public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_main64

### FOLLOW_NAME_in_identifier97

public static final org.antlr.runtime.BitSet FOLLOW_NAME_in_identifier97

### FOLLOW_NAME_in_identifierOrKeyword132

public static final org.antlr.runtime.BitSet FOLLOW_NAME_in_identifierOrKeyword132

### FOLLOW_43_in_identifierOrKeyword137

public static final org.antlr.runtime.BitSet FOLLOW_43_in_identifierOrKeyword137

### FOLLOW_44_in_identifierOrKeyword142

public static final org.antlr.runtime.BitSet FOLLOW_44_in_identifierOrKeyword142

### FOLLOW_45_in_identifierOrKeyword147

public static final org.antlr.runtime.BitSet FOLLOW_45_in_identifierOrKeyword147

### FOLLOW_46_in_identifierOrKeyword152

public static final org.antlr.runtime.BitSet FOLLOW_46_in_identifierOrKeyword152

### FOLLOW_47_in_identifierOrKeyword157

public static final org.antlr.runtime.BitSet FOLLOW_47_in_identifierOrKeyword157

### FOLLOW_48_in_identifierOrKeyword162

public static final org.antlr.runtime.BitSet FOLLOW_48_in_identifierOrKeyword162

### FOLLOW_49_in_identifierOrKeyword167

public static final org.antlr.runtime.BitSet FOLLOW_49_in_identifierOrKeyword167

### FOLLOW_50_in_identifierOrKeyword172

public static final org.antlr.runtime.BitSet FOLLOW_50_in_identifierOrKeyword172

### FOLLOW_51_in_identifierOrKeyword177

public static final org.antlr.runtime.BitSet FOLLOW_51_in_identifierOrKeyword177

### FOLLOW_52_in_identifierOrKeyword182

public static final org.antlr.runtime.BitSet FOLLOW_52_in_identifierOrKeyword182

### FOLLOW_53_in_identifierOrKeyword187

public static final org.antlr.runtime.BitSet FOLLOW_53_in_identifierOrKeyword187

### FOLLOW_54_in_identifierOrKeyword192

public static final org.antlr.runtime.BitSet FOLLOW_54_in_identifierOrKeyword192

### FOLLOW_55_in_identifierOrKeyword197

public static final org.antlr.runtime.BitSet FOLLOW_55_in_identifierOrKeyword197

### FOLLOW_56_in_identifierOrKeyword202

public static final org.antlr.runtime.BitSet FOLLOW_56_in_identifierOrKeyword202

### FOLLOW_57_in_identifierOrKeyword207

public static final org.antlr.runtime.BitSet FOLLOW_57_in_identifierOrKeyword207

### FOLLOW_58_in_identifierOrKeyword212

public static final org.antlr.runtime.BitSet FOLLOW_58_in_identifierOrKeyword212

### FOLLOW_59_in_identifierOrKeyword217

public static final org.antlr.runtime.BitSet FOLLOW_59_in_identifierOrKeyword217

### FOLLOW_60_in_identifierOrKeyword222

public static final org.antlr.runtime.BitSet FOLLOW_60_in_identifierOrKeyword222

### FOLLOW_61_in_identifierOrKeyword227

public static final org.antlr.runtime.BitSet FOLLOW_61_in_identifierOrKeyword227

### FOLLOW_62_in_identifierOrKeyword232

public static final org.antlr.runtime.BitSet FOLLOW_62_in_identifierOrKeyword232

### FOLLOW_63_in_identifierOrKeyword237

public static final org.antlr.runtime.BitSet FOLLOW_63_in_identifierOrKeyword237

### FOLLOW_64_in_identifierOrKeyword242

public static final org.antlr.runtime.BitSet FOLLOW_64_in_identifierOrKeyword242

### FOLLOW_65_in_identifierOrKeyword247

public static final org.antlr.runtime.BitSet FOLLOW_65_in_identifierOrKeyword247

### FOLLOW_66_in_identifierOrKeyword252

public static final org.antlr.runtime.BitSet FOLLOW_66_in_identifierOrKeyword252

### FOLLOW_67_in_identifierOrKeyword257

public static final org.antlr.runtime.BitSet FOLLOW_67_in_identifierOrKeyword257

### FOLLOW_68_in_identifierOrKeyword262

public static final org.antlr.runtime.BitSet FOLLOW_68_in_identifierOrKeyword262

### FOLLOW_69_in_identifierOrKeyword267

public static final org.antlr.runtime.BitSet FOLLOW_69_in_identifierOrKeyword267

### FOLLOW_70_in_identifierOrKeyword272

public static final org.antlr.runtime.BitSet FOLLOW_70_in_identifierOrKeyword272

### FOLLOW_71_in_identifierOrKeyword277

public static final org.antlr.runtime.BitSet FOLLOW_71_in_identifierOrKeyword277

### FOLLOW_72_in_identifierOrKeyword282

public static final org.antlr.runtime.BitSet FOLLOW_72_in_identifierOrKeyword282

### FOLLOW_73_in_identifierOrKeyword287

public static final org.antlr.runtime.BitSet FOLLOW_73_in_identifierOrKeyword287

### FOLLOW_74_in_identifierOrKeyword292

public static final org.antlr.runtime.BitSet FOLLOW_74_in_identifierOrKeyword292

### FOLLOW_75_in_identifierOrKeyword297

public static final org.antlr.runtime.BitSet FOLLOW_75_in_identifierOrKeyword297

### FOLLOW_76_in_identifierOrKeyword302

public static final org.antlr.runtime.BitSet FOLLOW_76_in_identifierOrKeyword302

### FOLLOW_77_in_identifierOrKeyword307

public static final org.antlr.runtime.BitSet FOLLOW_77_in_identifierOrKeyword307

### FOLLOW_78_in_identifierOrKeyword312

public static final org.antlr.runtime.BitSet FOLLOW_78_in_identifierOrKeyword312

### FOLLOW_79_in_identifierOrKeyword317

public static final org.antlr.runtime.BitSet FOLLOW_79_in_identifierOrKeyword317

### FOLLOW_80_in_identifierOrKeyword322

public static final org.antlr.runtime.BitSet FOLLOW_80_in_identifierOrKeyword322

### FOLLOW_81_in_identifierOrKeyword327

public static final org.antlr.runtime.BitSet FOLLOW_81_in_identifierOrKeyword327

### FOLLOW_82_in_identifierOrKeyword332

public static final org.antlr.runtime.BitSet FOLLOW_82_in_identifierOrKeyword332

### FOLLOW_83_in_identifierOrKeyword337

public static final org.antlr.runtime.BitSet FOLLOW_83_in_identifierOrKeyword337

### FOLLOW_84_in_identifierOrKeyword342

public static final org.antlr.runtime.BitSet FOLLOW_84_in_identifierOrKeyword342

### FOLLOW_85_in_identifierOrKeyword347

public static final org.antlr.runtime.BitSet FOLLOW_85_in_identifierOrKeyword347

### FOLLOW_86_in_identifierOrKeyword352

public static final org.antlr.runtime.BitSet FOLLOW_86_in_identifierOrKeyword352

### FOLLOW_87_in_identifierOrKeyword357

public static final org.antlr.runtime.BitSet FOLLOW_87_in_identifierOrKeyword357

### FOLLOW_88_in_identifierOrKeyword362

public static final org.antlr.runtime.BitSet FOLLOW_88_in_identifierOrKeyword362

### FOLLOW_89_in_identifierOrKeyword367

public static final org.antlr.runtime.BitSet FOLLOW_89_in_identifierOrKeyword367

### FOLLOW_90_in_identifierOrKeyword372

public static final org.antlr.runtime.BitSet FOLLOW_90_in_identifierOrKeyword372

### FOLLOW_91_in_identifierOrKeyword377

public static final org.antlr.runtime.BitSet FOLLOW_91_in_identifierOrKeyword377

### FOLLOW_92_in_identifierOrKeyword382

public static final org.antlr.runtime.BitSet FOLLOW_92_in_identifierOrKeyword382

### FOLLOW_93_in_identifierOrKeyword387

public static final org.antlr.runtime.BitSet FOLLOW_93_in_identifierOrKeyword387

### FOLLOW_94_in_identifierOrKeyword392

public static final org.antlr.runtime.BitSet FOLLOW_94_in_identifierOrKeyword392

### FOLLOW_95_in_identifierOrKeyword397

public static final org.antlr.runtime.BitSet FOLLOW_95_in_identifierOrKeyword397

### FOLLOW_96_in_identifierOrKeyword402

public static final org.antlr.runtime.BitSet FOLLOW_96_in_identifierOrKeyword402

### FOLLOW_97_in_identifierOrKeyword407

public static final org.antlr.runtime.BitSet FOLLOW_97_in_identifierOrKeyword407

### FOLLOW_98_in_identifierOrKeyword412

public static final org.antlr.runtime.BitSet FOLLOW_98_in_identifierOrKeyword412

### FOLLOW_99_in_identifierOrKeyword417

public static final org.antlr.runtime.BitSet FOLLOW_99_in_identifierOrKeyword417

### FOLLOW_100_in_identifierOrKeyword422

public static final org.antlr.runtime.BitSet FOLLOW_100_in_identifierOrKeyword422

### FOLLOW_STRING_in_stringSymbol457

public static final org.antlr.runtime.BitSet FOLLOW_STRING_in_stringSymbol457

### FOLLOW_INT_in_integerSymbol491

public static final org.antlr.runtime.BitSet FOLLOW_INT_in_integerSymbol491

### FOLLOW_FLOAT_in_floatSymbol525

public static final org.antlr.runtime.BitSet FOLLOW_FLOAT_in_floatSymbol525

### FOLLOW_module_in_unit561

public static final org.antlr.runtime.BitSet FOLLOW_module_in_unit561

### FOLLOW_library_in_unit566

public static final org.antlr.runtime.BitSet FOLLOW_library_in_unit566

### FOLLOW_query_in_unit571

public static final org.antlr.runtime.BitSet FOLLOW_query_in_unit571

### FOLLOW_43_in_module604

public static final org.antlr.runtime.BitSet FOLLOW_43_in_module604

### FOLLOW_identifier_in_module608

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_module608

### FOLLOW_SEMI_in_module612

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_module612

### FOLLOW_44_in_module614

public static final org.antlr.runtime.BitSet FOLLOW_44_in_module614

### FOLLOW_oclModel_in_module620

public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module620

### FOLLOW_COMA_in_module627

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_module627

### FOLLOW_oclModel_in_module632

public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module632

### FOLLOW_45_in_module643

public static final org.antlr.runtime.BitSet FOLLOW_45_in_module643

### FOLLOW_46_in_module650

public static final org.antlr.runtime.BitSet FOLLOW_46_in_module650

### FOLLOW_oclModel_in_module660

public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module660

### FOLLOW_COMA_in_module667

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_module667

### FOLLOW_oclModel_in_module672

public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module672

### FOLLOW_SEMI_in_module681

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_module681

### FOLLOW_libraryRef_in_module689

public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_module689

### FOLLOW_libraryRef_in_module697

public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_module697

### FOLLOW_moduleElement_in_module711

public static final org.antlr.runtime.BitSet FOLLOW_moduleElement_in_module711

### FOLLOW_moduleElement_in_module719

public static final org.antlr.runtime.BitSet FOLLOW_moduleElement_in_module719

### FOLLOW_47_in_library761

public static final org.antlr.runtime.BitSet FOLLOW_47_in_library761

### FOLLOW_identifier_in_library765

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_library765

### FOLLOW_SEMI_in_library769

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_library769

### FOLLOW_libraryRef_in_library777

public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_library777

### FOLLOW_libraryRef_in_library785

public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_library785

### FOLLOW_helper_in_library799

public static final org.antlr.runtime.BitSet FOLLOW_helper_in_library799

### FOLLOW_helper_in_library807

public static final org.antlr.runtime.BitSet FOLLOW_helper_in_library807

### FOLLOW_48_in_query849

public static final org.antlr.runtime.BitSet FOLLOW_48_in_query849

### FOLLOW_identifier_in_query853

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_query853

### FOLLOW_EQ_in_query857

public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_query857

### FOLLOW_oclExpression_in_query861

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_query861

### FOLLOW_SEMI_in_query865

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_query865

### FOLLOW_libraryRef_in_query873

public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_query873

### FOLLOW_libraryRef_in_query881

public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_query881

### FOLLOW_helper_in_query895

public static final org.antlr.runtime.BitSet FOLLOW_helper_in_query895

### FOLLOW_helper_in_query903

public static final org.antlr.runtime.BitSet FOLLOW_helper_in_query903

### FOLLOW_49_in_libraryRef945

public static final org.antlr.runtime.BitSet FOLLOW_49_in_libraryRef945

### FOLLOW_identifier_in_libraryRef949

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_libraryRef949

### FOLLOW_SEMI_in_libraryRef953

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_libraryRef953

### FOLLOW_helper_in_moduleElement988

public static final org.antlr.runtime.BitSet FOLLOW_helper_in_moduleElement988

### FOLLOW_rule_in_moduleElement993

public static final org.antlr.runtime.BitSet FOLLOW_rule_in_moduleElement993

### FOLLOW_50_in_helper1026

public static final org.antlr.runtime.BitSet FOLLOW_50_in_helper1026

### FOLLOW_oclFeatureDefinition_in_helper1030

public static final org.antlr.runtime.BitSet FOLLOW_oclFeatureDefinition_in_helper1030

### FOLLOW_SEMI_in_helper1034

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_helper1034

### FOLLOW_oclContextDefinition_in_oclFeatureDefinition1070

public static final org.antlr.runtime.BitSet FOLLOW_oclContextDefinition_in_oclFeatureDefinition1070

### FOLLOW_51_in_oclFeatureDefinition1084

public static final org.antlr.runtime.BitSet FOLLOW_51_in_oclFeatureDefinition1084

### FOLLOW_COLON_in_oclFeatureDefinition1086

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_oclFeatureDefinition1086

### FOLLOW_oclFeature_in_oclFeatureDefinition1090

public static final org.antlr.runtime.BitSet FOLLOW_oclFeature_in_oclFeatureDefinition1090

### FOLLOW_52_in_oclContextDefinition1124

public static final org.antlr.runtime.BitSet FOLLOW_52_in_oclContextDefinition1124

### FOLLOW_oclType_in_oclContextDefinition1128

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_oclContextDefinition1128

### FOLLOW_operation_in_oclFeature1165

public static final org.antlr.runtime.BitSet FOLLOW_operation_in_oclFeature1165

### FOLLOW_attribute_in_oclFeature1170

public static final org.antlr.runtime.BitSet FOLLOW_attribute_in_oclFeature1170

### FOLLOW_identifier_in_operation1205

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_operation1205

### FOLLOW_LPAREN_in_operation1209

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_operation1209

### FOLLOW_parameter_in_operation1215

public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_operation1215

### FOLLOW_COMA_in_operation1222

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_operation1222

### FOLLOW_parameter_in_operation1227

public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_operation1227

### FOLLOW_RPAREN_in_operation1237

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_operation1237

### FOLLOW_COLON_in_operation1239

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_operation1239

### FOLLOW_oclType_in_operation1243

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_operation1243

### FOLLOW_EQ_in_operation1247

public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_operation1247

### FOLLOW_oclExpression_in_operation1253

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_operation1253

### FOLLOW_identifier_in_parameter1291

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_parameter1291

### FOLLOW_COLON_in_parameter1295

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_parameter1295

### FOLLOW_oclType_in_parameter1299

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_parameter1299

### FOLLOW_identifier_in_attribute1335

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_attribute1335

### FOLLOW_COLON_in_attribute1339

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_attribute1339

### FOLLOW_oclType_in_attribute1343

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_attribute1343

### FOLLOW_EQ_in_attribute1347

public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_attribute1347

### FOLLOW_oclExpression_in_attribute1353

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_attribute1353

### FOLLOW_calledRule_in_rule1392

public static final org.antlr.runtime.BitSet FOLLOW_calledRule_in_rule1392

### FOLLOW_matchedRule_in_rule1397

public static final org.antlr.runtime.BitSet FOLLOW_matchedRule_in_rule1397

### FOLLOW_lazyMatchedRule_in_matchedRule1433

public static final org.antlr.runtime.BitSet FOLLOW_lazyMatchedRule_in_matchedRule1433

### FOLLOW_matchedRule_abstractContents_in_matchedRule1438

public static final org.antlr.runtime.BitSet FOLLOW_matchedRule_abstractContents_in_matchedRule1438

### FOLLOW_58_in_lazyMatchedRule1473

public static final org.antlr.runtime.BitSet FOLLOW_58_in_lazyMatchedRule1473

### FOLLOW_59_in_lazyMatchedRule1485

public static final org.antlr.runtime.BitSet FOLLOW_59_in_lazyMatchedRule1485

### FOLLOW_54_in_lazyMatchedRule1489

public static final org.antlr.runtime.BitSet FOLLOW_54_in_lazyMatchedRule1489

### FOLLOW_45_in_lazyMatchedRule1503

public static final org.antlr.runtime.BitSet FOLLOW_45_in_lazyMatchedRule1503

### FOLLOW_55_in_lazyMatchedRule1515

public static final org.antlr.runtime.BitSet FOLLOW_55_in_lazyMatchedRule1515

### FOLLOW_identifier_in_lazyMatchedRule1519

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_lazyMatchedRule1519

### FOLLOW_56_in_lazyMatchedRule1525

public static final org.antlr.runtime.BitSet FOLLOW_56_in_lazyMatchedRule1525

### FOLLOW_identifier_in_lazyMatchedRule1529

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_lazyMatchedRule1529

### FOLLOW_LCURLY_in_lazyMatchedRule1543

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_lazyMatchedRule1543

### FOLLOW_inPattern_in_lazyMatchedRule1549

public static final org.antlr.runtime.BitSet FOLLOW_inPattern_in_lazyMatchedRule1549

### FOLLOW_57_in_lazyMatchedRule1555

public static final org.antlr.runtime.BitSet FOLLOW_57_in_lazyMatchedRule1555

### FOLLOW_LCURLY_in_lazyMatchedRule1557

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_lazyMatchedRule1557

### FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1565

public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1565

### FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1573

public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1573

### FOLLOW_RCURLY_in_lazyMatchedRule1585

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_lazyMatchedRule1585

### FOLLOW_outPattern_in_lazyMatchedRule1601

public static final org.antlr.runtime.BitSet FOLLOW_outPattern_in_lazyMatchedRule1601

### FOLLOW_actionBlock_in_lazyMatchedRule1619

public static final org.antlr.runtime.BitSet FOLLOW_actionBlock_in_lazyMatchedRule1619

### FOLLOW_RCURLY_in_lazyMatchedRule1635

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_lazyMatchedRule1635

### FOLLOW_identifier_in_ruleVariableDeclaration1669

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_ruleVariableDeclaration1669

### FOLLOW_COLON_in_ruleVariableDeclaration1673

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_ruleVariableDeclaration1673

### FOLLOW_oclType_in_ruleVariableDeclaration1677

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_ruleVariableDeclaration1677

### FOLLOW_EQ_in_ruleVariableDeclaration1681

public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_ruleVariableDeclaration1681

### FOLLOW_oclExpression_in_ruleVariableDeclaration1685

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ruleVariableDeclaration1685

### FOLLOW_SEMI_in_ruleVariableDeclaration1689

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_ruleVariableDeclaration1689

### FOLLOW_60_in_calledRule1723

public static final org.antlr.runtime.BitSet FOLLOW_60_in_calledRule1723

### FOLLOW_61_in_calledRule1737

public static final org.antlr.runtime.BitSet FOLLOW_61_in_calledRule1737

### FOLLOW_55_in_calledRule1749

public static final org.antlr.runtime.BitSet FOLLOW_55_in_calledRule1749

### FOLLOW_identifier_in_calledRule1753

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_calledRule1753

### FOLLOW_LPAREN_in_calledRule1757

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_calledRule1757

### FOLLOW_parameter_in_calledRule1763

public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_calledRule1763

### FOLLOW_COMA_in_calledRule1770

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_calledRule1770

### FOLLOW_parameter_in_calledRule1775

public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_calledRule1775

### FOLLOW_RPAREN_in_calledRule1785

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_calledRule1785

### FOLLOW_LCURLY_in_calledRule1787

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_calledRule1787

### FOLLOW_57_in_calledRule1793

public static final org.antlr.runtime.BitSet FOLLOW_57_in_calledRule1793

### FOLLOW_LCURLY_in_calledRule1795

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_calledRule1795

### FOLLOW_ruleVariableDeclaration_in_calledRule1803

public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_calledRule1803

### FOLLOW_ruleVariableDeclaration_in_calledRule1811

public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_calledRule1811

### FOLLOW_RCURLY_in_calledRule1823

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_calledRule1823

### FOLLOW_outPattern_in_calledRule1839

public static final org.antlr.runtime.BitSet FOLLOW_outPattern_in_calledRule1839

### FOLLOW_actionBlock_in_calledRule1857

public static final org.antlr.runtime.BitSet FOLLOW_actionBlock_in_calledRule1857

### FOLLOW_RCURLY_in_calledRule1873

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_calledRule1873

### FOLLOW_46_in_inPattern1905

public static final org.antlr.runtime.BitSet FOLLOW_46_in_inPattern1905

### FOLLOW_inPatternElement_in_inPattern1913

public static final org.antlr.runtime.BitSet FOLLOW_inPatternElement_in_inPattern1913

### FOLLOW_COMA_in_inPattern1920

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_inPattern1920

### FOLLOW_inPatternElement_in_inPattern1925

public static final org.antlr.runtime.BitSet FOLLOW_inPatternElement_in_inPattern1925

### FOLLOW_LPAREN_in_inPattern1936

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_inPattern1936

### FOLLOW_oclExpression_in_inPattern1942

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_inPattern1942

### FOLLOW_RPAREN_in_inPattern1948

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_inPattern1948

### FOLLOW_simpleInPatternElement_in_inPatternElement1994

public static final org.antlr.runtime.BitSet FOLLOW_simpleInPatternElement_in_inPatternElement1994

### FOLLOW_identifier_in_simpleInPatternElement2028

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleInPatternElement2028

### FOLLOW_COLON_in_simpleInPatternElement2032

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_simpleInPatternElement2032

### FOLLOW_oclType_in_simpleInPatternElement2036

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_simpleInPatternElement2036

### FOLLOW_62_in_simpleInPatternElement2042

public static final org.antlr.runtime.BitSet FOLLOW_62_in_simpleInPatternElement2042

### FOLLOW_identifier_in_simpleInPatternElement2048

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleInPatternElement2048

### FOLLOW_COMA_in_simpleInPatternElement2055

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_simpleInPatternElement2055

### FOLLOW_identifier_in_simpleInPatternElement2060

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleInPatternElement2060

### FOLLOW_63_in_outPattern2110

public static final org.antlr.runtime.BitSet FOLLOW_63_in_outPattern2110

### FOLLOW_dropPattern_in_outPattern2116

public static final org.antlr.runtime.BitSet FOLLOW_dropPattern_in_outPattern2116

### FOLLOW_outPatternElement_in_outPattern2138

public static final org.antlr.runtime.BitSet FOLLOW_outPatternElement_in_outPattern2138

### FOLLOW_COMA_in_outPattern2145

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_outPattern2145

### FOLLOW_outPatternElement_in_outPattern2150

public static final org.antlr.runtime.BitSet FOLLOW_outPatternElement_in_outPattern2150

### FOLLOW_simpleOutPatternElement_in_outPatternElement2204

public static final org.antlr.runtime.BitSet FOLLOW_simpleOutPatternElement_in_outPatternElement2204

### FOLLOW_forEachOutPatternElement_in_outPatternElement2209

public static final org.antlr.runtime.BitSet FOLLOW_forEachOutPatternElement_in_outPatternElement2209

### FOLLOW_identifier_in_simpleOutPatternElement2244

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleOutPatternElement2244

### FOLLOW_COLON_in_simpleOutPatternElement2248

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_simpleOutPatternElement2248

### FOLLOW_oclType_in_simpleOutPatternElement2252

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_simpleOutPatternElement2252

### FOLLOW_62_in_simpleOutPatternElement2258

public static final org.antlr.runtime.BitSet FOLLOW_62_in_simpleOutPatternElement2258

### FOLLOW_identifier_in_simpleOutPatternElement2262

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleOutPatternElement2262

### FOLLOW_64_in_simpleOutPatternElement2278

public static final org.antlr.runtime.BitSet FOLLOW_64_in_simpleOutPatternElement2278

### FOLLOW_identifier_in_simpleOutPatternElement2282

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleOutPatternElement2282

### FOLLOW_RARROW_in_simpleOutPatternElement2298

public static final org.antlr.runtime.BitSet FOLLOW_RARROW_in_simpleOutPatternElement2298

### FOLLOW_LPAREN_in_simpleOutPatternElement2300

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_simpleOutPatternElement2300

### FOLLOW_oclExpression_in_simpleOutPatternElement2306

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_simpleOutPatternElement2306

### FOLLOW_COMA_in_simpleOutPatternElement2313

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_simpleOutPatternElement2313

### FOLLOW_oclExpression_in_simpleOutPatternElement2318

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_simpleOutPatternElement2318

### FOLLOW_RPAREN_in_simpleOutPatternElement2328

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_simpleOutPatternElement2328

### FOLLOW_LPAREN_in_simpleOutPatternElement2342

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_simpleOutPatternElement2342

### FOLLOW_binding_in_simpleOutPatternElement2350

public static final org.antlr.runtime.BitSet FOLLOW_binding_in_simpleOutPatternElement2350

### FOLLOW_COMA_in_simpleOutPatternElement2357

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_simpleOutPatternElement2357

### FOLLOW_binding_in_simpleOutPatternElement2362

public static final org.antlr.runtime.BitSet FOLLOW_binding_in_simpleOutPatternElement2362

### FOLLOW_RPAREN_in_simpleOutPatternElement2374

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_simpleOutPatternElement2374

### FOLLOW_identifier_in_forEachOutPatternElement2418

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_forEachOutPatternElement2418

### FOLLOW_COLON_in_forEachOutPatternElement2422

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_forEachOutPatternElement2422

### FOLLOW_65_in_forEachOutPatternElement2424

public static final org.antlr.runtime.BitSet FOLLOW_65_in_forEachOutPatternElement2424

### FOLLOW_oclType_in_forEachOutPatternElement2428

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_forEachOutPatternElement2428

### FOLLOW_66_in_forEachOutPatternElement2432

public static final org.antlr.runtime.BitSet FOLLOW_66_in_forEachOutPatternElement2432

### FOLLOW_LPAREN_in_forEachOutPatternElement2434

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_forEachOutPatternElement2434

### FOLLOW_iterator_in_forEachOutPatternElement2438

public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_forEachOutPatternElement2438

### FOLLOW_62_in_forEachOutPatternElement2442

public static final org.antlr.runtime.BitSet FOLLOW_62_in_forEachOutPatternElement2442

### FOLLOW_oclExpression_in_forEachOutPatternElement2446

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_forEachOutPatternElement2446

### FOLLOW_RPAREN_in_forEachOutPatternElement2450

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_forEachOutPatternElement2450

### FOLLOW_64_in_forEachOutPatternElement2454

public static final org.antlr.runtime.BitSet FOLLOW_64_in_forEachOutPatternElement2454

### FOLLOW_identifier_in_forEachOutPatternElement2458

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_forEachOutPatternElement2458

### FOLLOW_LPAREN_in_forEachOutPatternElement2474

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_forEachOutPatternElement2474

### FOLLOW_binding_in_forEachOutPatternElement2482

public static final org.antlr.runtime.BitSet FOLLOW_binding_in_forEachOutPatternElement2482

### FOLLOW_COMA_in_forEachOutPatternElement2489

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_forEachOutPatternElement2489

### FOLLOW_binding_in_forEachOutPatternElement2494

public static final org.antlr.runtime.BitSet FOLLOW_binding_in_forEachOutPatternElement2494

### FOLLOW_RPAREN_in_forEachOutPatternElement2506

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_forEachOutPatternElement2506

### FOLLOW_identifierOrKeyword_in_binding2550

public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_binding2550

### FOLLOW_ASSIGNARROW_in_binding2556

public static final org.antlr.runtime.BitSet FOLLOW_ASSIGNARROW_in_binding2556

### FOLLOW_LARROW_in_binding2563

public static final org.antlr.runtime.BitSet FOLLOW_LARROW_in_binding2563

### FOLLOW_oclExpression_in_binding2571

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_binding2571

### FOLLOW_67_in_dropPattern2605

public static final org.antlr.runtime.BitSet FOLLOW_67_in_dropPattern2605

### FOLLOW_68_in_actionBlock2637

public static final org.antlr.runtime.BitSet FOLLOW_68_in_actionBlock2637

### FOLLOW_LCURLY_in_actionBlock2639

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_actionBlock2639

### FOLLOW_statement_in_actionBlock2647

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_actionBlock2647

### FOLLOW_statement_in_actionBlock2655

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_actionBlock2655

### FOLLOW_RCURLY_in_actionBlock2667

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_actionBlock2667

### FOLLOW_ifStat_in_statement2702

public static final org.antlr.runtime.BitSet FOLLOW_ifStat_in_statement2702

### FOLLOW_expressionStat_in_statement2707

public static final org.antlr.runtime.BitSet FOLLOW_expressionStat_in_statement2707

### FOLLOW_bindingStat_in_statement2712

public static final org.antlr.runtime.BitSet FOLLOW_bindingStat_in_statement2712

### FOLLOW_forStat_in_statement2717

public static final org.antlr.runtime.BitSet FOLLOW_forStat_in_statement2717

### FOLLOW_oclExpression_in_bindingStat2752

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bindingStat2752

### FOLLOW_ASSIGNARROW_in_bindingStat2758

public static final org.antlr.runtime.BitSet FOLLOW_ASSIGNARROW_in_bindingStat2758

### FOLLOW_LARROW_in_bindingStat2765

public static final org.antlr.runtime.BitSet FOLLOW_LARROW_in_bindingStat2765

### FOLLOW_oclExpression_in_bindingStat2773

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bindingStat2773

### FOLLOW_SEMI_in_bindingStat2777

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_bindingStat2777

### FOLLOW_oclExpression_in_expressionStat2811

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_expressionStat2811

### FOLLOW_SEMI_in_expressionStat2815

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_expressionStat2815

### FOLLOW_69_in_ifStat2847

public static final org.antlr.runtime.BitSet FOLLOW_69_in_ifStat2847

### FOLLOW_LPAREN_in_ifStat2849

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_ifStat2849

### FOLLOW_oclExpression_in_ifStat2853

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifStat2853

### FOLLOW_RPAREN_in_ifStat2857

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_ifStat2857

### FOLLOW_statement_in_ifStat2865

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2865

### FOLLOW_LCURLY_in_ifStat2876

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_ifStat2876

### FOLLOW_statement_in_ifStat2884

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2884

### FOLLOW_statement_in_ifStat2892

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2892

### FOLLOW_RCURLY_in_ifStat2904

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_ifStat2904

### FOLLOW_70_in_ifStat2912

public static final org.antlr.runtime.BitSet FOLLOW_70_in_ifStat2912

### FOLLOW_statement_in_ifStat2920

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2920

### FOLLOW_LCURLY_in_ifStat2931

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_ifStat2931

### FOLLOW_statement_in_ifStat2939

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2939

### FOLLOW_statement_in_ifStat2947

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2947

### FOLLOW_RCURLY_in_ifStat2959

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_ifStat2959

### FOLLOW_71_in_forStat3005

public static final org.antlr.runtime.BitSet FOLLOW_71_in_forStat3005

### FOLLOW_LPAREN_in_forStat3007

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_forStat3007

### FOLLOW_iterator_in_forStat3011

public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_forStat3011

### FOLLOW_62_in_forStat3015

public static final org.antlr.runtime.BitSet FOLLOW_62_in_forStat3015

### FOLLOW_oclExpression_in_forStat3019

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_forStat3019

### FOLLOW_RPAREN_in_forStat3023

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_forStat3023

### FOLLOW_LCURLY_in_forStat3025

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_forStat3025

### FOLLOW_statement_in_forStat3033

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_forStat3033

### FOLLOW_statement_in_forStat3041

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_forStat3041

### FOLLOW_RCURLY_in_forStat3053

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_forStat3053

### FOLLOW_identifier_in_oclModel3087

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModel3087

### FOLLOW_COLON_in_oclModel3091

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_oclModel3091

### FOLLOW_identifier_in_oclModel3095

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModel3095

### FOLLOW_identifier_in_oclModelElement3131

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModelElement3131

### FOLLOW_EXCL_in_oclModelElement3135

public static final org.antlr.runtime.BitSet FOLLOW_EXCL_in_oclModelElement3135

### FOLLOW_identifier_in_oclModelElement3139

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModelElement3139

### FOLLOW_priority_5_in_oclExpression3175

public static final org.antlr.runtime.BitSet FOLLOW_priority_5_in_oclExpression3175

### FOLLOW_letExp_in_oclExpression3180

public static final org.antlr.runtime.BitSet FOLLOW_letExp_in_oclExpression3180

### FOLLOW_identifier_in_iteratorExp3215

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_iteratorExp3215

### FOLLOW_LPAREN_in_iteratorExp3219

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_iteratorExp3219

### FOLLOW_iterator_in_iteratorExp3225

public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iteratorExp3225

### FOLLOW_COMA_in_iteratorExp3232

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_iteratorExp3232

### FOLLOW_iterator_in_iteratorExp3237

public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iteratorExp3237

### FOLLOW_PIPE_in_iteratorExp3246

public static final org.antlr.runtime.BitSet FOLLOW_PIPE_in_iteratorExp3246

### FOLLOW_oclExpression_in_iteratorExp3252

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_iteratorExp3252

### FOLLOW_RPAREN_in_iteratorExp3258

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_iteratorExp3258

### FOLLOW_72_in_iterateExp3291

public static final org.antlr.runtime.BitSet FOLLOW_72_in_iterateExp3291

### FOLLOW_LPAREN_in_iterateExp3293

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_iterateExp3293

### FOLLOW_iterator_in_iterateExp3299

public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iterateExp3299

### FOLLOW_COMA_in_iterateExp3306

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_iterateExp3306

### FOLLOW_iterator_in_iterateExp3311

public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iterateExp3311

### FOLLOW_SEMI_in_iterateExp3320

public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_iterateExp3320

### FOLLOW_variableDeclaration_in_iterateExp3324

public static final org.antlr.runtime.BitSet FOLLOW_variableDeclaration_in_iterateExp3324

### FOLLOW_PIPE_in_iterateExp3328

public static final org.antlr.runtime.BitSet FOLLOW_PIPE_in_iterateExp3328

### FOLLOW_oclExpression_in_iterateExp3334

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_iterateExp3334

### FOLLOW_RPAREN_in_iterateExp3340

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_iterateExp3340

### FOLLOW_identifier_in_collectionOperationCallExp3375

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_collectionOperationCallExp3375

### FOLLOW_LPAREN_in_collectionOperationCallExp3379

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_collectionOperationCallExp3379

### FOLLOW_oclExpression_in_collectionOperationCallExp3385

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_collectionOperationCallExp3385

### FOLLOW_COMA_in_collectionOperationCallExp3392

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_collectionOperationCallExp3392

### FOLLOW_oclExpression_in_collectionOperationCallExp3397

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_collectionOperationCallExp3397

### FOLLOW_RPAREN_in_collectionOperationCallExp3407

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_collectionOperationCallExp3407

### FOLLOW_identifierOrKeyword_in_operationCallExp3442

public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_operationCallExp3442

### FOLLOW_LPAREN_in_operationCallExp3446

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_operationCallExp3446

### FOLLOW_oclExpression_in_operationCallExp3452

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_operationCallExp3452

### FOLLOW_COMA_in_operationCallExp3459

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_operationCallExp3459

### FOLLOW_oclExpression_in_operationCallExp3464

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_operationCallExp3464

### FOLLOW_RPAREN_in_operationCallExp3474

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_operationCallExp3474

### FOLLOW_identifierOrKeyword_in_navigationOrAttributeCallExp3509

public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_navigationOrAttributeCallExp3509

### FOLLOW_identifier_in_iterator3574

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_iterator3574

### FOLLOW_73_in_oclUndefinedExp3608

public static final org.antlr.runtime.BitSet FOLLOW_73_in_oclUndefinedExp3608

### FOLLOW_numericExp_in_primitiveExp3643

public static final org.antlr.runtime.BitSet FOLLOW_numericExp_in_primitiveExp3643

### FOLLOW_booleanExp_in_primitiveExp3648

public static final org.antlr.runtime.BitSet FOLLOW_booleanExp_in_primitiveExp3648

### FOLLOW_stringExp_in_primitiveExp3653

public static final org.antlr.runtime.BitSet FOLLOW_stringExp_in_primitiveExp3653

### FOLLOW_integerExp_in_numericExp3689

public static final org.antlr.runtime.BitSet FOLLOW_integerExp_in_numericExp3689

### FOLLOW_realExp_in_numericExp3694

public static final org.antlr.runtime.BitSet FOLLOW_realExp_in_numericExp3694

### FOLLOW_74_in_booleanExp3729

public static final org.antlr.runtime.BitSet FOLLOW_74_in_booleanExp3729

### FOLLOW_75_in_booleanExp3736

public static final org.antlr.runtime.BitSet FOLLOW_75_in_booleanExp3736

### FOLLOW_integerSymbol_in_integerExp3774

public static final org.antlr.runtime.BitSet FOLLOW_integerSymbol_in_integerExp3774

### FOLLOW_floatSymbol_in_realExp3810

public static final org.antlr.runtime.BitSet FOLLOW_floatSymbol_in_realExp3810

### FOLLOW_stringSymbol_in_stringExp3846

public static final org.antlr.runtime.BitSet FOLLOW_stringSymbol_in_stringExp3846

### FOLLOW_69_in_ifExp3880

public static final org.antlr.runtime.BitSet FOLLOW_69_in_ifExp3880

### FOLLOW_oclExpression_in_ifExp3884

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifExp3884

### FOLLOW_76_in_ifExp3888

public static final org.antlr.runtime.BitSet FOLLOW_76_in_ifExp3888

### FOLLOW_oclExpression_in_ifExp3894

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifExp3894

### FOLLOW_70_in_ifExp3900

public static final org.antlr.runtime.BitSet FOLLOW_70_in_ifExp3900

### FOLLOW_oclExpression_in_ifExp3906

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifExp3906

### FOLLOW_77_in_ifExp3912

public static final org.antlr.runtime.BitSet FOLLOW_77_in_ifExp3912

### FOLLOW_identifier_in_variableExp3946

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_variableExp3946

### FOLLOW_78_in_superExp3980

public static final org.antlr.runtime.BitSet FOLLOW_78_in_superExp3980

### FOLLOW_79_in_letExp4012

public static final org.antlr.runtime.BitSet FOLLOW_79_in_letExp4012

### FOLLOW_variableDeclaration_in_letExp4016

public static final org.antlr.runtime.BitSet FOLLOW_variableDeclaration_in_letExp4016

### FOLLOW_62_in_letExp4020

public static final org.antlr.runtime.BitSet FOLLOW_62_in_letExp4020

### FOLLOW_oclExpression_in_letExp4026

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_letExp4026

### FOLLOW_identifier_in_variableDeclaration4064

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_variableDeclaration4064

### FOLLOW_COLON_in_variableDeclaration4068

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_variableDeclaration4068

### FOLLOW_oclType_in_variableDeclaration4072

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_variableDeclaration4072

### FOLLOW_EQ_in_variableDeclaration4076

public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_variableDeclaration4076

### FOLLOW_oclExpression_in_variableDeclaration4080

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_variableDeclaration4080

### FOLLOW_SHARP_in_enumLiteralExp4114

public static final org.antlr.runtime.BitSet FOLLOW_SHARP_in_enumLiteralExp4114

### FOLLOW_identifier_in_enumLiteralExp4118

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_enumLiteralExp4118

### FOLLOW_bagExp_in_collectionExp4155

public static final org.antlr.runtime.BitSet FOLLOW_bagExp_in_collectionExp4155

### FOLLOW_setExp_in_collectionExp4160

public static final org.antlr.runtime.BitSet FOLLOW_setExp_in_collectionExp4160

### FOLLOW_orderedSetExp_in_collectionExp4165

public static final org.antlr.runtime.BitSet FOLLOW_orderedSetExp_in_collectionExp4165

### FOLLOW_sequenceExp_in_collectionExp4170

public static final org.antlr.runtime.BitSet FOLLOW_sequenceExp_in_collectionExp4170

### FOLLOW_80_in_bagExp4203

public static final org.antlr.runtime.BitSet FOLLOW_80_in_bagExp4203

### FOLLOW_LCURLY_in_bagExp4205

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_bagExp4205

### FOLLOW_oclExpression_in_bagExp4211

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bagExp4211

### FOLLOW_COMA_in_bagExp4218

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_bagExp4218

### FOLLOW_oclExpression_in_bagExp4223

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bagExp4223

### FOLLOW_RCURLY_in_bagExp4233

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_bagExp4233

### FOLLOW_81_in_setExp4265

public static final org.antlr.runtime.BitSet FOLLOW_81_in_setExp4265

### FOLLOW_LCURLY_in_setExp4267

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_setExp4267

### FOLLOW_oclExpression_in_setExp4273

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_setExp4273

### FOLLOW_COMA_in_setExp4280

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_setExp4280

### FOLLOW_oclExpression_in_setExp4285

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_setExp4285

### FOLLOW_RCURLY_in_setExp4295

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_setExp4295

### FOLLOW_82_in_orderedSetExp4327

public static final org.antlr.runtime.BitSet FOLLOW_82_in_orderedSetExp4327

### FOLLOW_LCURLY_in_orderedSetExp4329

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_orderedSetExp4329

### FOLLOW_oclExpression_in_orderedSetExp4335

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_orderedSetExp4335

### FOLLOW_COMA_in_orderedSetExp4342

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_orderedSetExp4342

### FOLLOW_oclExpression_in_orderedSetExp4347

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_orderedSetExp4347

### FOLLOW_RCURLY_in_orderedSetExp4357

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_orderedSetExp4357

### FOLLOW_83_in_sequenceExp4389

public static final org.antlr.runtime.BitSet FOLLOW_83_in_sequenceExp4389

### FOLLOW_LCURLY_in_sequenceExp4391

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_sequenceExp4391

### FOLLOW_oclExpression_in_sequenceExp4397

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_sequenceExp4397

### FOLLOW_COMA_in_sequenceExp4404

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_sequenceExp4404

### FOLLOW_oclExpression_in_sequenceExp4409

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_sequenceExp4409

### FOLLOW_RCURLY_in_sequenceExp4419

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_sequenceExp4419

### FOLLOW_84_in_mapExp4451

public static final org.antlr.runtime.BitSet FOLLOW_84_in_mapExp4451

### FOLLOW_LCURLY_in_mapExp4453

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_mapExp4453

### FOLLOW_mapElement_in_mapExp4459

public static final org.antlr.runtime.BitSet FOLLOW_mapElement_in_mapExp4459

### FOLLOW_COMA_in_mapExp4466

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_mapExp4466

### FOLLOW_mapElement_in_mapExp4471

public static final org.antlr.runtime.BitSet FOLLOW_mapElement_in_mapExp4471

### FOLLOW_RCURLY_in_mapExp4481

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_mapExp4481

### FOLLOW_LPAREN_in_mapElement4513

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_mapElement4513

### FOLLOW_oclExpression_in_mapElement4517

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_mapElement4517

### FOLLOW_COMA_in_mapElement4521

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_mapElement4521

### FOLLOW_oclExpression_in_mapElement4525

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_mapElement4525

### FOLLOW_RPAREN_in_mapElement4529

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_mapElement4529

### FOLLOW_85_in_tupleExp4561

public static final org.antlr.runtime.BitSet FOLLOW_85_in_tupleExp4561

### FOLLOW_LCURLY_in_tupleExp4563

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_tupleExp4563

### FOLLOW_tuplePart_in_tupleExp4569

public static final org.antlr.runtime.BitSet FOLLOW_tuplePart_in_tupleExp4569

### FOLLOW_COMA_in_tupleExp4576

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_tupleExp4576

### FOLLOW_tuplePart_in_tupleExp4581

public static final org.antlr.runtime.BitSet FOLLOW_tuplePart_in_tupleExp4581

### FOLLOW_RCURLY_in_tupleExp4591

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_tupleExp4591

### FOLLOW_identifierOrKeyword_in_tuplePart4625

public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_tuplePart4625

### FOLLOW_COLON_in_tuplePart4631

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_tuplePart4631

### FOLLOW_oclType_in_tuplePart4635

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_tuplePart4635

### FOLLOW_EQ_in_tuplePart4649

public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_tuplePart4649

### FOLLOW_oclExpression_in_tuplePart4653

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_tuplePart4653

### FOLLOW_oclModelElement_in_oclType4690

public static final org.antlr.runtime.BitSet FOLLOW_oclModelElement_in_oclType4690

### FOLLOW_oclAnyType_in_oclType4695

public static final org.antlr.runtime.BitSet FOLLOW_oclAnyType_in_oclType4695

### FOLLOW_tupleType_in_oclType4700

public static final org.antlr.runtime.BitSet FOLLOW_tupleType_in_oclType4700

### FOLLOW_mapType_in_oclType4705

public static final org.antlr.runtime.BitSet FOLLOW_mapType_in_oclType4705

### FOLLOW_primitive_in_oclType4710

public static final org.antlr.runtime.BitSet FOLLOW_primitive_in_oclType4710

### FOLLOW_collectionType_in_oclType4715

public static final org.antlr.runtime.BitSet FOLLOW_collectionType_in_oclType4715

### FOLLOW_oclType_abstractContents_in_oclType4720

public static final org.antlr.runtime.BitSet FOLLOW_oclType_abstractContents_in_oclType4720

### FOLLOW_87_in_oclAnyType4753

public static final org.antlr.runtime.BitSet FOLLOW_87_in_oclAnyType4753

### FOLLOW_88_in_tupleType4785

public static final org.antlr.runtime.BitSet FOLLOW_88_in_tupleType4785

### FOLLOW_LPAREN_in_tupleType4787

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_tupleType4787

### FOLLOW_tupleTypeAttribute_in_tupleType4793

public static final org.antlr.runtime.BitSet FOLLOW_tupleTypeAttribute_in_tupleType4793

### FOLLOW_COMA_in_tupleType4800

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_tupleType4800

### FOLLOW_tupleTypeAttribute_in_tupleType4805

public static final org.antlr.runtime.BitSet FOLLOW_tupleTypeAttribute_in_tupleType4805

### FOLLOW_RPAREN_in_tupleType4815

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_tupleType4815

### FOLLOW_identifier_in_tupleTypeAttribute4849

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_tupleTypeAttribute4849

### FOLLOW_COLON_in_tupleTypeAttribute4853

public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_tupleTypeAttribute4853

### FOLLOW_oclType_in_tupleTypeAttribute4857

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_tupleTypeAttribute4857

### FOLLOW_84_in_mapType4891

public static final org.antlr.runtime.BitSet FOLLOW_84_in_mapType4891

### FOLLOW_LPAREN_in_mapType4893

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_mapType4893

### FOLLOW_oclType_in_mapType4897

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_mapType4897

### FOLLOW_COMA_in_mapType4901

public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_mapType4901

### FOLLOW_oclType_in_mapType4905

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_mapType4905

### FOLLOW_RPAREN_in_mapType4909

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_mapType4909

### FOLLOW_numericType_in_primitive4944

public static final org.antlr.runtime.BitSet FOLLOW_numericType_in_primitive4944

### FOLLOW_booleanType_in_primitive4949

public static final org.antlr.runtime.BitSet FOLLOW_booleanType_in_primitive4949

### FOLLOW_stringType_in_primitive4954

public static final org.antlr.runtime.BitSet FOLLOW_stringType_in_primitive4954

### FOLLOW_integerType_in_numericType4990

public static final org.antlr.runtime.BitSet FOLLOW_integerType_in_numericType4990

### FOLLOW_realType_in_numericType4995

public static final org.antlr.runtime.BitSet FOLLOW_realType_in_numericType4995

### FOLLOW_89_in_integerType5028

public static final org.antlr.runtime.BitSet FOLLOW_89_in_integerType5028

### FOLLOW_90_in_realType5060

public static final org.antlr.runtime.BitSet FOLLOW_90_in_realType5060

### FOLLOW_91_in_booleanType5092

public static final org.antlr.runtime.BitSet FOLLOW_91_in_booleanType5092

### FOLLOW_92_in_stringType5124

public static final org.antlr.runtime.BitSet FOLLOW_92_in_stringType5124

### FOLLOW_bagType_in_collectionType5159

public static final org.antlr.runtime.BitSet FOLLOW_bagType_in_collectionType5159

### FOLLOW_setType_in_collectionType5164

public static final org.antlr.runtime.BitSet FOLLOW_setType_in_collectionType5164

### FOLLOW_orderedSetType_in_collectionType5169

public static final org.antlr.runtime.BitSet FOLLOW_orderedSetType_in_collectionType5169

### FOLLOW_sequenceType_in_collectionType5174

public static final org.antlr.runtime.BitSet FOLLOW_sequenceType_in_collectionType5174

### FOLLOW_collectionType_abstractContents_in_collectionType5179

public static final org.antlr.runtime.BitSet FOLLOW_collectionType_abstractContents_in_collectionType5179

### FOLLOW_80_in_bagType5212

public static final org.antlr.runtime.BitSet FOLLOW_80_in_bagType5212

### FOLLOW_LPAREN_in_bagType5214

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_bagType5214

### FOLLOW_oclType_in_bagType5218

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_bagType5218

### FOLLOW_RPAREN_in_bagType5222

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_bagType5222

### FOLLOW_81_in_setType5254

public static final org.antlr.runtime.BitSet FOLLOW_81_in_setType5254

### FOLLOW_LPAREN_in_setType5256

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_setType5256

### FOLLOW_oclType_in_setType5260

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_setType5260

### FOLLOW_RPAREN_in_setType5264

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_setType5264

### FOLLOW_82_in_orderedSetType5296

public static final org.antlr.runtime.BitSet FOLLOW_82_in_orderedSetType5296

### FOLLOW_LPAREN_in_orderedSetType5298

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_orderedSetType5298

### FOLLOW_oclType_in_orderedSetType5302

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_orderedSetType5302

### FOLLOW_RPAREN_in_orderedSetType5306

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_orderedSetType5306

### FOLLOW_83_in_sequenceType5338

public static final org.antlr.runtime.BitSet FOLLOW_83_in_sequenceType5338

### FOLLOW_LPAREN_in_sequenceType5340

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_sequenceType5340

### FOLLOW_oclType_in_sequenceType5344

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_sequenceType5344

### FOLLOW_RPAREN_in_sequenceType5348

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_sequenceType5348

### FOLLOW_primary_oclExpression_in_priority_05382

public static final org.antlr.runtime.BitSet FOLLOW_primary_oclExpression_in_priority_05382

### FOLLOW_POINT_in_priority_05387

public static final org.antlr.runtime.BitSet FOLLOW_POINT_in_priority_05387

### FOLLOW_operationCallExp_in_priority_05394

public static final org.antlr.runtime.BitSet FOLLOW_operationCallExp_in_priority_05394

### FOLLOW_navigationOrAttributeCallExp_in_priority_05401

public static final org.antlr.runtime.BitSet FOLLOW_navigationOrAttributeCallExp_in_priority_05401

### FOLLOW_RARROW_in_priority_05409

public static final org.antlr.runtime.BitSet FOLLOW_RARROW_in_priority_05409

### FOLLOW_iteratorExp_in_priority_05416

public static final org.antlr.runtime.BitSet FOLLOW_iteratorExp_in_priority_05416

### FOLLOW_iterateExp_in_priority_05423

public static final org.antlr.runtime.BitSet FOLLOW_iterateExp_in_priority_05423

### FOLLOW_collectionOperationCallExp_in_priority_05430

public static final org.antlr.runtime.BitSet FOLLOW_collectionOperationCallExp_in_priority_05430

### FOLLOW_94_in_priority_15470

public static final org.antlr.runtime.BitSet FOLLOW_94_in_priority_15470

### FOLLOW_operatorCallExp_in_priority_15477

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_15477

### FOLLOW_priority_0_in_priority_15482

public static final org.antlr.runtime.BitSet FOLLOW_priority_0_in_priority_15482

### FOLLOW_MINUS_in_priority_15490

public static final org.antlr.runtime.BitSet FOLLOW_MINUS_in_priority_15490

### FOLLOW_operatorCallExp_in_priority_15497

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_15497

### FOLLOW_priority_0_in_priority_15502

public static final org.antlr.runtime.BitSet FOLLOW_priority_0_in_priority_15502

### FOLLOW_priority_0_in_priority_15512

public static final org.antlr.runtime.BitSet FOLLOW_priority_0_in_priority_15512

### FOLLOW_priority_1_in_priority_25547

public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25547

### FOLLOW_STAR_in_priority_25552

public static final org.antlr.runtime.BitSet FOLLOW_STAR_in_priority_25552

### FOLLOW_operatorCallExp_in_priority_25559

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25559

### FOLLOW_priority_1_in_priority_25564

public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25564

### FOLLOW_SLASH_in_priority_25572

public static final org.antlr.runtime.BitSet FOLLOW_SLASH_in_priority_25572

### FOLLOW_operatorCallExp_in_priority_25579

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25579

### FOLLOW_priority_1_in_priority_25584

public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25584

### FOLLOW_95_in_priority_25592

public static final org.antlr.runtime.BitSet FOLLOW_95_in_priority_25592

### FOLLOW_operatorCallExp_in_priority_25599

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25599

### FOLLOW_priority_1_in_priority_25604

public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25604

### FOLLOW_96_in_priority_25612

public static final org.antlr.runtime.BitSet FOLLOW_96_in_priority_25612

### FOLLOW_operatorCallExp_in_priority_25619

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25619

### FOLLOW_priority_1_in_priority_25624

public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25624

### FOLLOW_priority_2_in_priority_35665

public static final org.antlr.runtime.BitSet FOLLOW_priority_2_in_priority_35665

### FOLLOW_PLUS_in_priority_35670

public static final org.antlr.runtime.BitSet FOLLOW_PLUS_in_priority_35670

### FOLLOW_operatorCallExp_in_priority_35677

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_35677

### FOLLOW_priority_2_in_priority_35682

public static final org.antlr.runtime.BitSet FOLLOW_priority_2_in_priority_35682

### FOLLOW_MINUS_in_priority_35690

public static final org.antlr.runtime.BitSet FOLLOW_MINUS_in_priority_35690

### FOLLOW_operatorCallExp_in_priority_35697

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_35697

### FOLLOW_priority_2_in_priority_35702

public static final org.antlr.runtime.BitSet FOLLOW_priority_2_in_priority_35702

### FOLLOW_priority_3_in_priority_45743

public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45743

### FOLLOW_EQ_in_priority_45748

public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_priority_45748

### FOLLOW_operatorCallExp_in_priority_45755

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45755

### FOLLOW_priority_3_in_priority_45760

public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45760

### FOLLOW_GT_in_priority_45768

public static final org.antlr.runtime.BitSet FOLLOW_GT_in_priority_45768

### FOLLOW_operatorCallExp_in_priority_45775

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45775

### FOLLOW_priority_3_in_priority_45780

public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45780

### FOLLOW_LT_in_priority_45788

public static final org.antlr.runtime.BitSet FOLLOW_LT_in_priority_45788

### FOLLOW_operatorCallExp_in_priority_45795

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45795

### FOLLOW_priority_3_in_priority_45800

public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45800

### FOLLOW_GE_in_priority_45808

public static final org.antlr.runtime.BitSet FOLLOW_GE_in_priority_45808

### FOLLOW_operatorCallExp_in_priority_45815

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45815

### FOLLOW_priority_3_in_priority_45820

public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45820

### FOLLOW_LE_in_priority_45828

public static final org.antlr.runtime.BitSet FOLLOW_LE_in_priority_45828

### FOLLOW_operatorCallExp_in_priority_45835

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45835

### FOLLOW_priority_3_in_priority_45840

public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45840

### FOLLOW_NE_in_priority_45848

public static final org.antlr.runtime.BitSet FOLLOW_NE_in_priority_45848

### FOLLOW_operatorCallExp_in_priority_45855

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45855

### FOLLOW_priority_3_in_priority_45860

public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45860

### FOLLOW_priority_4_in_priority_55901

public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55901

### FOLLOW_97_in_priority_55906

public static final org.antlr.runtime.BitSet FOLLOW_97_in_priority_55906

### FOLLOW_operatorCallExp_in_priority_55913

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55913

### FOLLOW_priority_4_in_priority_55918

public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55918

### FOLLOW_98_in_priority_55926

public static final org.antlr.runtime.BitSet FOLLOW_98_in_priority_55926

### FOLLOW_operatorCallExp_in_priority_55933

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55933

### FOLLOW_priority_4_in_priority_55938

public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55938

### FOLLOW_99_in_priority_55946

public static final org.antlr.runtime.BitSet FOLLOW_99_in_priority_55946

### FOLLOW_operatorCallExp_in_priority_55953

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55953

### FOLLOW_priority_4_in_priority_55958

public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55958

### FOLLOW_100_in_priority_55966

public static final org.antlr.runtime.BitSet FOLLOW_100_in_priority_55966

### FOLLOW_operatorCallExp_in_priority_55973

public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55973

### FOLLOW_priority_4_in_priority_55978

public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55978

### FOLLOW_53_in_matchedRule_abstractContents6019

public static final org.antlr.runtime.BitSet FOLLOW_53_in_matchedRule_abstractContents6019

### FOLLOW_54_in_matchedRule_abstractContents6033

public static final org.antlr.runtime.BitSet FOLLOW_54_in_matchedRule_abstractContents6033

### FOLLOW_45_in_matchedRule_abstractContents6047

public static final org.antlr.runtime.BitSet FOLLOW_45_in_matchedRule_abstractContents6047

### FOLLOW_55_in_matchedRule_abstractContents6059

public static final org.antlr.runtime.BitSet FOLLOW_55_in_matchedRule_abstractContents6059

### FOLLOW_identifier_in_matchedRule_abstractContents6063

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_matchedRule_abstractContents6063

### FOLLOW_56_in_matchedRule_abstractContents6069

public static final org.antlr.runtime.BitSet FOLLOW_56_in_matchedRule_abstractContents6069

### FOLLOW_identifier_in_matchedRule_abstractContents6073

public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_matchedRule_abstractContents6073

### FOLLOW_LCURLY_in_matchedRule_abstractContents6087

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_matchedRule_abstractContents6087

### FOLLOW_inPattern_in_matchedRule_abstractContents6093

public static final org.antlr.runtime.BitSet FOLLOW_inPattern_in_matchedRule_abstractContents6093

### FOLLOW_57_in_matchedRule_abstractContents6099

public static final org.antlr.runtime.BitSet FOLLOW_57_in_matchedRule_abstractContents6099

### FOLLOW_LCURLY_in_matchedRule_abstractContents6101

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_matchedRule_abstractContents6101

### FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6109

public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6109

### FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6117

public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6117

### FOLLOW_RCURLY_in_matchedRule_abstractContents6129

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_matchedRule_abstractContents6129

### FOLLOW_outPattern_in_matchedRule_abstractContents6145

public static final org.antlr.runtime.BitSet FOLLOW_outPattern_in_matchedRule_abstractContents6145

### FOLLOW_actionBlock_in_matchedRule_abstractContents6163

public static final org.antlr.runtime.BitSet FOLLOW_actionBlock_in_matchedRule_abstractContents6163

### FOLLOW_RCURLY_in_matchedRule_abstractContents6179

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_matchedRule_abstractContents6179

### FOLLOW_86_in_oclType_abstractContents6211

public static final org.antlr.runtime.BitSet FOLLOW_86_in_oclType_abstractContents6211

### FOLLOW_93_in_collectionType_abstractContents6243

public static final org.antlr.runtime.BitSet FOLLOW_93_in_collectionType_abstractContents6243

### FOLLOW_LPAREN_in_collectionType_abstractContents6245

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_collectionType_abstractContents6245

### FOLLOW_oclType_in_collectionType_abstractContents6249

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_collectionType_abstractContents6249

### FOLLOW_RPAREN_in_collectionType_abstractContents6253

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_collectionType_abstractContents6253

### FOLLOW_LPAREN_in_primary_oclExpression6286

public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_primary_oclExpression6286

### FOLLOW_oclExpression_in_primary_oclExpression6290

public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_primary_oclExpression6290

### FOLLOW_RPAREN_in_primary_oclExpression6292

public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_primary_oclExpression6292

### FOLLOW_variableExp_in_primary_oclExpression6298

public static final org.antlr.runtime.BitSet FOLLOW_variableExp_in_primary_oclExpression6298

### FOLLOW_oclUndefinedExp_in_primary_oclExpression6303

public static final org.antlr.runtime.BitSet FOLLOW_oclUndefinedExp_in_primary_oclExpression6303

### FOLLOW_primitiveExp_in_primary_oclExpression6308

public static final org.antlr.runtime.BitSet FOLLOW_primitiveExp_in_primary_oclExpression6308

### FOLLOW_ifExp_in_primary_oclExpression6313

public static final org.antlr.runtime.BitSet FOLLOW_ifExp_in_primary_oclExpression6313

### FOLLOW_superExp_in_primary_oclExpression6318

public static final org.antlr.runtime.BitSet FOLLOW_superExp_in_primary_oclExpression6318

### FOLLOW_enumLiteralExp_in_primary_oclExpression6323

public static final org.antlr.runtime.BitSet FOLLOW_enumLiteralExp_in_primary_oclExpression6323

### FOLLOW_collectionExp_in_primary_oclExpression6328

public static final org.antlr.runtime.BitSet FOLLOW_collectionExp_in_primary_oclExpression6328

### FOLLOW_mapExp_in_primary_oclExpression6333

public static final org.antlr.runtime.BitSet FOLLOW_mapExp_in_primary_oclExpression6333

### FOLLOW_tupleExp_in_primary_oclExpression6338

public static final org.antlr.runtime.BitSet FOLLOW_tupleExp_in_primary_oclExpression6338

### FOLLOW_oclType_in_primary_oclExpression6343

public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_primary_oclExpression6343

### FOLLOW_ifStat_in_synpred125_ATL_ANTLR32702

public static final org.antlr.runtime.BitSet FOLLOW_ifStat_in_synpred125_ATL_ANTLR32702

### FOLLOW_expressionStat_in_synpred126_ATL_ANTLR32707

public static final org.antlr.runtime.BitSet FOLLOW_expressionStat_in_synpred126_ATL_ANTLR32707

### FOLLOW_bindingStat_in_synpred127_ATL_ANTLR32712

public static final org.antlr.runtime.BitSet FOLLOW_bindingStat_in_synpred127_ATL_ANTLR32712

### FOLLOW_70_in_synpred135_ATL_ANTLR32912

public static final org.antlr.runtime.BitSet FOLLOW_70_in_synpred135_ATL_ANTLR32912

### FOLLOW_statement_in_synpred135_ATL_ANTLR32920

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_synpred135_ATL_ANTLR32920

### FOLLOW_LCURLY_in_synpred135_ATL_ANTLR32931

public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_synpred135_ATL_ANTLR32931

### FOLLOW_statement_in_synpred135_ATL_ANTLR32939

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_synpred135_ATL_ANTLR32939

### FOLLOW_statement_in_synpred135_ATL_ANTLR32947

public static final org.antlr.runtime.BitSet FOLLOW_statement_in_synpred135_ATL_ANTLR32947

### FOLLOW_RCURLY_in_synpred135_ATL_ANTLR32959

public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_synpred135_ATL_ANTLR32959

## Constructor Details

### ATL_ANTLR3Parser

public ATL_ANTLR3Parser(org.antlr.runtime.TokenStream input)

### ATL_ANTLR3Parser

public ATL_ANTLR3Parser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)

## Method Details

### getTokenNames

public String[] getTokenNames()

Overrides:
  `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

public String getGrammarFileName()

Overrides:
  `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### displayRecognitionError

public void displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)

Overrides:
  `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### main

public final Object main() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### identifier

public final Object identifier() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### identifierOrKeyword

public final Object identifierOrKeyword() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### stringSymbol

public final Object stringSymbol() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### integerSymbol

public final Object integerSymbol() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### floatSymbol

public final Object floatSymbol() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### unit

public final Object unit() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### module

public final Object module() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### library

public final Object library() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### query

public final Object query() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### libraryRef

public final Object libraryRef() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### moduleElement

public final Object moduleElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### helper

public final Object helper() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclFeatureDefinition

public final Object oclFeatureDefinition() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclContextDefinition

public final Object oclContextDefinition() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclFeature

public final Object oclFeature() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### operation

public final Object operation() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### parameter

public final Object parameter() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### attribute

public final Object attribute() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### rule

public final Object rule() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### matchedRule

public final Object matchedRule() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### lazyMatchedRule

public final Object lazyMatchedRule() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### ruleVariableDeclaration

public final Object ruleVariableDeclaration() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### calledRule

public final Object calledRule() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### inPattern

public final Object inPattern() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### inPatternElement

public final Object inPatternElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### simpleInPatternElement

public final Object simpleInPatternElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### outPattern

public final Object outPattern() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### outPatternElement

public final Object outPatternElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### simpleOutPatternElement

public final Object simpleOutPatternElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### forEachOutPatternElement

public final Object forEachOutPatternElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### binding

public final Object binding() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### dropPattern

public final Object dropPattern() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### actionBlock

public final Object actionBlock() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### statement

public final Object statement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### bindingStat

public final Object bindingStat() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### expressionStat

public final Object expressionStat() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### ifStat

public final Object ifStat() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### forStat

public final Object forStat() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclModel

public final Object oclModel() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclModelElement

public final Object oclModelElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclExpression

public final Object oclExpression() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### iteratorExp

public final Object iteratorExp(String opName, Object left, org.antlr.runtime.Token firstToken) throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### iterateExp

public final Object iterateExp(String opName, Object left, org.antlr.runtime.Token firstToken) throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### collectionOperationCallExp

public final Object collectionOperationCallExp(String opName, Object left, org.antlr.runtime.Token firstToken) throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### operationCallExp

public final Object operationCallExp(String opName, Object left, org.antlr.runtime.Token firstToken) throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### navigationOrAttributeCallExp

public final Object navigationOrAttributeCallExp(String opName, Object left, org.antlr.runtime.Token firstToken) throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### operatorCallExp

public final Object operatorCallExp(String opName, Object left, org.antlr.runtime.Token firstToken) throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### iterator

public final Object iterator() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclUndefinedExp

public final Object oclUndefinedExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### primitiveExp

public final Object primitiveExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### numericExp

public final Object numericExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### booleanExp

public final Object booleanExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### integerExp

public final Object integerExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### realExp

public final Object realExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### stringExp

public final Object stringExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### ifExp

public final Object ifExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### variableExp

public final Object variableExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### superExp

public final Object superExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### letExp

public final Object letExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### variableDeclaration

public final Object variableDeclaration() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### enumLiteralExp

public final Object enumLiteralExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### collectionExp

public final Object collectionExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### bagExp

public final Object bagExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### setExp

public final Object setExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### orderedSetExp

public final Object orderedSetExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### sequenceExp

public final Object sequenceExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mapExp

public final Object mapExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mapElement

public final Object mapElement() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### tupleExp

public final Object tupleExp() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### tuplePart

public final Object tuplePart() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclType

public final Object oclType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclAnyType

public final Object oclAnyType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### tupleType

public final Object tupleType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### tupleTypeAttribute

public final Object tupleTypeAttribute() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### mapType

public final Object mapType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### primitive

public final Object primitive() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### numericType

public final Object numericType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### integerType

public final Object integerType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### realType

public final Object realType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### booleanType

public final Object booleanType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### stringType

public final Object stringType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### collectionType

public final Object collectionType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### bagType

public final Object bagType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### setType

public final Object setType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### orderedSetType

public final Object orderedSetType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### sequenceType

public final Object sequenceType() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### priority_0

public final Object priority_0() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### priority_1

public final Object priority_1() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### priority_2

public final Object priority_2() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### priority_3

public final Object priority_3() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### priority_4

public final Object priority_4() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### priority_5

public final Object priority_5() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### matchedRule_abstractContents

public final Object matchedRule_abstractContents() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### oclType_abstractContents

public final Object oclType_abstractContents() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### collectionType_abstractContents

public final Object collectionType_abstractContents() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### primary_oclExpression

public final Object primary_oclExpression() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### synpred125_ATL_ANTLR3_fragment

public final void synpred125_ATL_ANTLR3_fragment() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### synpred126_ATL_ANTLR3_fragment

public final void synpred126_ATL_ANTLR3_fragment() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### synpred127_ATL_ANTLR3_fragment

public final void synpred127_ATL_ANTLR3_fragment() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### synpred135_ATL_ANTLR3_fragment

public final void synpred135_ATL_ANTLR3_fragment() throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

### synpred125_ATL_ANTLR3

public final boolean synpred125_ATL_ANTLR3()

### synpred127_ATL_ANTLR3

public final boolean synpred127_ATL_ANTLR3()

### synpred126_ATL_ANTLR3

public final boolean synpred126_ATL_ANTLR3()

### synpred135_ATL_ANTLR3

public final boolean synpred135_ATL_ANTLR3()